Search.setIndex({"docnames": ["bounds", "builtin_models", "confidence", "constraints", "contents", "examples/example_Model_interface", "examples/example_brute", "examples/example_complex_resonator_model", "examples/example_confidence_interval", "examples/example_detect_outliers", "examples/example_diffev", "examples/example_expression_model", "examples/example_fit_multi_datasets", "examples/example_fit_with_algebraic_constraint", "examples/example_fit_with_bounds", "examples/example_fit_with_derivfunc", "examples/example_fit_with_inequality", "examples/example_reduce_fcn", "examples/example_sympy", "examples/example_two_dimensional_peak", "examples/example_use_pandas", "examples/index", "examples/lmfit_emcee_model_selection", "examples/nodoc_example_emcee_Model_interface", "examples/sg_execution_times", "faq", "fitting", "index", "installation", "intro", "model", "parameters", "support", "whatsnew"], "filenames": ["bounds.rst", "builtin_models.rst", "confidence.rst", "constraints.rst", "contents.rst", "examples/example_Model_interface.rst", "examples/example_brute.rst", "examples/example_complex_resonator_model.rst", "examples/example_confidence_interval.rst", "examples/example_detect_outliers.rst", "examples/example_diffev.rst", "examples/example_expression_model.rst", "examples/example_fit_multi_datasets.rst", "examples/example_fit_with_algebraic_constraint.rst", "examples/example_fit_with_bounds.rst", "examples/example_fit_with_derivfunc.rst", "examples/example_fit_with_inequality.rst", "examples/example_reduce_fcn.rst", "examples/example_sympy.rst", "examples/example_two_dimensional_peak.rst", "examples/example_use_pandas.rst", "examples/index.rst", "examples/lmfit_emcee_model_selection.rst", "examples/nodoc_example_emcee_Model_interface.rst", "examples/sg_execution_times.rst", "faq.rst", "fitting.rst", "index.rst", "installation.rst", "intro.rst", "model.rst", "parameters.rst", "support.rst", "whatsnew.rst"], "titles": ["Bounds Implementation", "Built-in Fitting Models in the <code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">models</span></code> module", "Calculation of confidence intervals", "Using Mathematical Constraints", "Contents", "Fit using the Model interface", "Global minimization using the <code class=\"docutils literal notranslate\"><span class=\"pre\">brute</span></code> method (a.k.a. grid search)", "Complex Resonator Model", "Calculate Confidence Intervals", "Outlier detection via leave-one-out", "Fit Using differential_evolution Algorithm", "Using an ExpressionModel", "Fit Multiple Data Sets", "Fit with Algebraic Constraint", "Fit Using Bounds", "Fit Specifying a Function to Compute the Jacobian", "Fit Using Inequality Constraint", "Fit Specifying Different Reduce Function", "Building a lmfit model with SymPy", "Fit Two Dimensional Peaks", "Fit with Data in a pandas DataFrame", "Examples gallery", "Model Selection using lmfit and emcee", "Emcee and the Model Interface", "Computation times", "Frequently Asked Questions", "Performing Fits and Analyzing Outputs", "Non-Linear Least-Squares Minimization and Curve-Fitting for Python", "Downloading and Installation", "Getting started with Non-Linear Least-Squares Fitting", "Modeling Data and Curve Fitting", "<code class=\"xref py py-class docutils literal notranslate\"><span class=\"pre\">Parameter</span></code> and <code class=\"xref py py-class docutils literal notranslate\"><span class=\"pre\">Parameters</span></code>", "Getting Help", "Release Notes"], "terms": {"thi": [0, 1, 2, 3, 5, 6, 7, 9, 10, 11, 12, 14, 17, 18, 19, 21, 22, 25, 26, 27, 28, 29, 30, 31, 32, 33], "section": [0, 5, 29, 30, 33], "describ": [0, 1, 2, 3, 26, 29, 30, 31], "paramet": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 14, 15, 16, 17, 19, 22, 23, 27, 28, 29, 33], "The": [0, 1, 2, 3, 4, 5, 6, 7, 9, 14, 17, 18, 19, 22, 25, 27, 28, 29, 33], "minpack": 0, "1": [0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 25, 26, 27, 28, 29, 30, 31], "us": [0, 4, 7, 8, 12, 13, 17, 18, 19, 20, 21, 23, 24, 27, 28, 29, 31, 32, 33], "scipi": [0, 1, 2, 5, 6, 7, 8, 14, 19, 25, 26, 27, 28, 29, 30, 31, 33], "optim": [0, 2, 4, 6, 7, 25, 27, 28, 29, 30, 31, 33], "leastsq": [0, 2, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 19, 20, 26, 27, 30, 33], "levenberg": [0, 2, 26, 27], "marquardt": [0, 2, 26, 27], "algorithm": [0, 6, 8, 14, 16, 21, 23, 24, 26, 27, 33], "doe": [0, 1, 2, 5, 6, 10, 14, 17, 22, 25, 26, 29, 30, 31, 33], "explicitli": [0, 1, 2, 4, 5, 18, 26, 27, 31, 33], "support": [0, 1, 2, 4, 14, 26, 27, 28, 29, 31, 33], "expect": [0, 1, 3, 6, 22, 26, 30], "abl": [0, 1, 3, 25, 26, 29, 30, 33], "fulli": [0, 33], "explor": [0, 1, 2, 3, 26, 27, 30], "avail": [0, 1, 3, 5, 25, 26, 28, 30, 33], "rang": [0, 1, 2, 6, 8, 9, 12, 19, 22, 25, 26, 30], "valu": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 13, 14, 15, 16, 17, 19, 22, 23, 26, 27, 29, 31, 33], "ani": [0, 1, 2, 3, 21, 22, 25, 26, 28, 29, 30, 31], "simpli": [0, 1, 2, 5, 26, 29, 30], "place": [0, 2, 3, 26, 28, 29, 30, 31], "hard": [0, 1, 2, 25, 26], "constraint": [0, 1, 4, 21, 24, 26, 27, 29, 30, 31, 33], "i": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 14, 15, 16, 17, 18, 19, 21, 22, 23, 26, 27, 28, 29, 30, 31, 32, 33], "reset": [0, 5, 33], "when": [0, 1, 4, 5, 6, 26, 27, 29, 30, 31, 33], "exce": [0, 26], "desir": [0, 1, 3, 30, 33], "prevent": [0, 1, 29, 33], "from": [0, 1, 2, 3, 4, 5, 6, 8, 9, 11, 12, 13, 14, 15, 16, 18, 19, 20, 22, 23, 26, 27, 28, 29, 30, 31, 32, 33], "determin": [0, 1, 2, 3, 4, 6, 26, 27, 29, 31], "partial": [0, 3], "deriv": [0, 1, 15, 25, 26, 28, 30, 33], "lead": [0, 1, 2, 25], "unstabl": 0, "result": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 16, 19, 20, 23, 25, 27, 29, 30, 31, 33], "instead": [0, 1, 2, 3, 5, 18, 26, 27, 29, 30, 31, 32, 33], "ar": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 15, 16, 17, 18, 19, 20, 21, 22, 26, 27, 28, 29, 30, 31, 32, 33], "mathemat": [0, 1, 4, 18, 27, 29, 30, 31], "transform": [0, 19], "formul": 0, "devis": 0, "document": [0, 6, 21, 26, 27, 28, 30, 32, 33], "minuit": [0, 28], "follow": [0, 1, 3, 5, 6, 7, 11, 16, 21, 26, 28, 29, 30, 31, 33], "borrow": 0, "heavili": 0, "leastsqbound": [0, 28], "j": [0, 6, 8, 22, 28, 30, 33], "helmu": [0, 28], "map": [0, 4, 26, 27, 30, 33], "intern": [0, 22, 26, 30, 33], "freeli": [0, 3, 30], "variabl": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 16, 17, 18, 19, 20, 25, 27, 29, 31, 33], "p_": [0, 2], "rm": [0, 1, 26, 29], "both": [0, 1, 2, 3, 15, 18, 19, 25, 30, 31, 32, 33], "min": [0, 1, 3, 5, 6, 7, 8, 10, 12, 14, 16, 17, 19, 22, 23, 26, 29, 30, 31, 33], "max": [0, 1, 3, 5, 6, 7, 8, 10, 12, 13, 14, 16, 19, 20, 22, 23, 26, 30, 31, 33], "specifi": [0, 1, 4, 5, 6, 8, 14, 16, 21, 24, 26, 31, 33], "begin": [0, 1, 2, 25, 26, 30], "eqnarrai": [0, 1, 26, 30], "arcsin": 0, "big": [0, 1], "frac": [0, 1, 2, 7, 22, 26, 29, 30, 31], "2": [0, 3, 4, 5, 6, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 25, 26, 27, 28, 29, 30, 31], "sin": [0, 1, 3, 6, 8, 10, 14, 17, 19], "end": [0, 1, 3, 25, 26, 30], "With": [0, 1, 15, 22, 26, 30, 33], "onli": [0, 1, 2, 6, 19, 25, 26, 28, 30, 33], "an": [0, 1, 3, 4, 5, 6, 15, 16, 17, 18, 19, 21, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33], "upper": [0, 2, 3, 6, 22, 26, 27, 30, 31], "limit": [0, 1, 2, 3, 25, 26, 28, 30, 33], "suppli": [0, 1, 11, 20, 26, 30, 31, 33], "left": [0, 1, 2, 6, 26, 30], "unbound": 0, "sqrt": [0, 1, 3, 7, 11, 19, 22, 25, 26], "lower": [0, 1, 3, 6, 22, 26, 27, 29, 30, 31], "cannot": [0, 3, 5, 25, 26, 30, 31, 33], "though": [0, 1, 26, 29, 30], "vari": [0, 1, 2, 3, 5, 6, 7, 26, 27, 29, 30, 31, 33], "can": [0, 1, 2, 3, 4, 5, 6, 7, 9, 14, 15, 16, 18, 19, 21, 22, 26, 27, 28, 29, 30, 31, 32, 33], "It": [0, 2, 3, 5, 6, 8, 18, 25, 26, 27, 30, 31], "bear": 0, "repeat": [0, 1, 26, 33], "code": [0, 1, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 26, 28, 29, 30, 32, 33], "wa": [0, 1, 2, 22, 26, 28, 30, 33], "adopt": [0, 28], "abov": [0, 1, 2, 5, 6, 22, 25, 26, 28, 29, 30, 31, 33], "challeng": [0, 1, 29, 30], "part": [0, 1, 3, 7, 28, 30, 33], "thank": [0, 33], "again": [0, 1, 2, 26, 29, 30, 33], "jonathan": 0, "here": [0, 1, 2, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 25, 26, 28, 29, 30, 31], "re": [0, 1, 2, 4, 7, 8, 18, 22, 25, 27, 30, 32, 33], "covari": [0, 2, 23, 26, 27, 30, 33], "matrix": [0, 2, 26, 27, 30, 33], "so": [0, 1, 2, 3, 5, 6, 7, 25, 26, 29, 30, 31, 32, 33], "uncertainti": [0, 1, 2, 4, 6, 10, 17, 23, 27, 28, 29, 33], "estim": [0, 1, 4, 6, 10, 13, 17, 23, 25, 26, 27, 28, 29, 30, 31, 33], "includ": [0, 1, 2, 3, 5, 22, 25, 26, 27, 28, 29, 30, 31, 33], "dp_": 0, "equat": [0, 7], "scale": [0, 2, 6, 8, 10, 11, 12, 13, 14, 16, 17, 26, 29, 30], "jacobin": 0, "befor": [0, 1, 2, 5, 12, 19, 30, 31, 33], "construct": [0, 1, 2, 3, 25, 30], "test": [0, 1, 2, 4, 9, 27, 31, 33], "show": [0, 1, 2, 5, 6, 7, 8, 9, 10, 12, 13, 14, 16, 17, 18, 19, 22, 23, 25, 26, 30, 31], "work": [0, 1, 4, 19, 22, 25, 26, 27, 28, 29, 30, 31, 32, 33], "quit": [0, 2, 6, 26], "well": [0, 1, 2, 23, 26, 28, 29, 30, 31, 32], "reason": [0, 1, 2, 6, 7, 18, 25, 26, 29, 33], "Of": [0, 1, 3, 29, 30, 32], "cours": [0, 1, 3, 26, 29, 30, 32], "best": [0, 2, 4, 5, 6, 7, 9, 11, 13, 14, 15, 16, 23, 26, 27, 30, 31, 32, 33], "fit": [0, 2, 3, 4, 6, 7, 8, 9, 11, 18, 21, 23, 24, 28, 31, 33], "veri": [0, 1, 2, 5, 6, 9, 18, 22, 25, 26, 28, 29, 30], "close": [0, 1, 6, 26, 29, 30, 32, 33], "boundari": [0, 10, 14, 16, 25, 26, 29, 33], "correl": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 16, 19, 20, 27, 30, 31, 33], "mai": [0, 1, 2, 4, 25, 26, 27, 28, 30, 31, 32], "reliabl": [0, 30], "recommend": [0, 1, 26, 28, 30], "caution": [0, 22, 25], "set": [0, 1, 2, 3, 4, 5, 6, 7, 8, 10, 13, 14, 16, 19, 21, 22, 23, 24, 26, 27, 29, 30, 31, 33], "certainli": [0, 25], "increas": [0, 1, 2, 6, 26, 33], "number": [0, 1, 2, 6, 22, 25, 26, 27, 29, 30, 31, 33], "function": [0, 1, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 18, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29, 33], "evalu": [0, 1, 3, 4, 6, 19, 26, 27, 30, 31, 33], "comput": [0, 2, 6, 21, 23, 26, 31], "time": [0, 1, 2, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 26, 30, 33], "some": [0, 1, 2, 3, 5, 6, 7, 8, 18, 19, 22, 23, 25, 26, 28, 29, 30, 33], "case": [0, 1, 2, 3, 6, 19, 25, 26, 27, 29, 30, 31, 33], "caus": [0, 25, 26, 28], "instabl": 0, "accept": [0, 1, 6, 23, 25, 26, 29], "On": [0, 26, 30], "other": [0, 1, 2, 3, 5, 6, 22, 25, 26, 27, 28, 29, 30, 31, 32, 33], "hand": [0, 2, 30], "preliminari": 0, "suggest": [0, 1, 26, 28, 32], "clearli": [0, 1, 30], "outlandish": 0, "greatli": [0, 3, 28, 29, 32], "affect": 0, "perform": [0, 4, 5, 6, 8, 10, 11, 14, 16, 17, 23, 27, 29, 30, 33], "lmfit": [1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 23, 24, 26, 27, 28, 29, 30, 31, 32, 33], "provid": [1, 5, 19, 25, 26, 27, 28, 29, 30, 32, 33], "sever": [1, 3, 12, 26, 28, 29, 30, 33], "These": [1, 2, 3, 6, 22, 26, 28, 29, 30], "each": [1, 2, 3, 5, 6, 9, 22, 25, 26, 28, 30, 31], "subclass": [1, 30, 33], "class": [1, 3, 4, 5, 6, 7, 17, 25, 27, 33], "previou": [1, 26, 33], "chapter": [1, 26, 30, 31], "wrap": [1, 25, 26, 30, 33], "rel": [1, 9, 26], "known": [1, 26, 30], "form": [1, 2, 28, 31, 33], "wide": [1, 30], "scientif": [1, 30], "domain": [1, 3, 30], "In": [1, 2, 3, 6, 16, 19, 25, 26, 28, 29, 30, 31], "fact": [1, 2, 3, 26, 30], "all": [1, 2, 3, 5, 6, 12, 13, 21, 22, 25, 26, 28, 29, 30, 31, 32, 33], "base": [1, 26, 30], "simpl": [1, 2, 3, 4, 5, 6, 10, 19, 20, 25, 26, 27, 29], "plain": [1, 26, 27, 29, 30, 31], "python": [1, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 26, 28, 29, 30, 31, 32, 33], "lineshap": [1, 12, 13, 16, 19, 22, 27, 30, 33], "addit": [1, 2, 3, 26, 28, 29, 30, 31, 33], "also": [1, 2, 3, 6, 8, 16, 25, 26, 27, 28, 29, 30, 31, 33], "guess": [1, 5, 7, 19, 20, 22, 26, 30, 33], "method": [1, 4, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 27, 28, 29, 31, 33], "intend": [1, 26, 30], "give": [1, 2, 9, 16, 20, 22, 23, 25, 26, 29, 30, 31, 33], "start": [1, 2, 4, 6, 7, 19, 22, 23, 26, 27, 30, 32, 33], "arrai": [1, 2, 4, 5, 6, 12, 15, 17, 18, 26, 27, 29, 30, 31, 33], "approxim": [1, 2, 28], "As": [1, 2, 3, 5, 6, 22, 25, 26, 27, 29, 30, 33], "shown": [1, 2, 6, 26, 30], "kei": [1, 2, 3, 8, 26, 29, 30, 31], "featur": [1, 3, 5, 30, 31, 33], "easili": [1, 3, 6, 18, 30, 31, 32, 33], "combin": [1, 6, 30], "compositemodel": [1, 4, 30, 33], "thu": [1, 3, 7, 22, 26, 30, 31], "while": [1, 2, 3, 9, 22, 26, 27, 29, 30, 31, 32, 33], "list": [1, 2, 6, 8, 18, 23, 25, 26, 28, 29, 30, 31, 32, 33], "seem": [1, 26], "pretti": [1, 2, 26, 29, 30, 31], "trivial": 1, "notabl": [1, 3], "main": [1, 29, 30, 33], "point": [1, 2, 3, 5, 6, 7, 8, 9, 10, 11, 13, 14, 17, 19, 20, 25, 26, 29, 30, 31, 33], "have": [1, 2, 3, 6, 7, 22, 25, 26, 27, 28, 29, 30, 31, 32, 33], "them": [1, 5, 18, 22, 23, 25, 26, 28, 30], "For": [1, 2, 3, 5, 6, 14, 17, 19, 22, 25, 26, 28, 29, 30, 31, 33], "plu": [1, 30], "background": [1, 22, 30], "might": [1, 3, 6, 22, 25, 26, 29, 30, 31, 33], "repres": [1, 6, 7, 22, 25, 26, 28, 30, 31], "almost": [1, 2, 3, 25, 26, 30], "below": [1, 2, 6, 9, 14, 16, 20, 21, 22, 25, 26, 28, 30], "one": [1, 2, 3, 5, 6, 12, 14, 21, 22, 24, 25, 26, 27, 29, 30, 31, 32, 33], "independ": [1, 4, 5, 19, 33], "name": [1, 2, 3, 4, 5, 6, 7, 8, 13, 25, 26, 27, 28, 29, 31, 33], "x": [1, 2, 3, 6, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 25, 26, 30, 33], "mani": [1, 21, 22, 25, 26, 27, 28, 29, 30, 31, 33], "distinct": [1, 26], "share": [1, 25], "common": [1, 3, 4, 26, 27, 30], "To": [1, 2, 3, 6, 9, 19, 22, 25, 26, 27, 28, 29, 30, 31, 33], "maintain": [1, 28], "uniform": [1, 22, 26, 33], "whenev": 1, "possibl": [1, 2, 5, 8, 22, 25, 26, 28, 33], "most": [1, 2, 3, 5, 6, 19, 25, 26, 27, 28, 29, 30], "call": [1, 2, 5, 15, 26, 30, 33], "amplitud": [1, 2, 3, 13, 19, 20, 22, 29, 30, 31], "overal": [1, 28], "intens": [1, 25], "area": 1, "sigma": [1, 2, 3, 5, 12, 13, 20, 23, 26, 30, 31, 33], "characterist": 1, "width": [1, 3, 18, 19, 25, 26, 30, 31], "after": [1, 26, 27, 29, 30, 31, 33], "few": [1, 3, 26, 30, 31], "given": [1, 2, 6, 22, 26, 28, 30, 31, 33], "There": [1, 3, 25, 26, 29, 30], "less": [1, 2, 30, 33], "commonli": 1, "variat": [1, 31], "unit": [1, 25], "normal": [1, 2, 6, 8, 10, 11, 12, 13, 14, 15, 16, 17, 25, 26, 30, 31], "same": [1, 2, 3, 5, 6, 12, 15, 19, 25, 26, 29, 30, 33], "you": [1, 2, 3, 5, 6, 21, 22, 25, 26, 27, 28, 29, 30, 31, 32, 33], "switch": [1, 29], "between": [1, 2, 6, 16, 18, 19, 22, 25, 26, 29, 33], "interpret": [1, 2, 3, 30, 31], "factor": [1, 7, 22, 26, 29, 30, 33], "strength": 1, "under": [1, 2, 28, 33], "curv": [1, 4, 5, 7, 25, 26], "center": [1, 13, 16, 20, 25, 30, 31, 33], "centroid": 1, "mu": 1, "where": [1, 2, 3, 6, 22, 25, 26, 29, 30, 33], "constrain": [1, 3, 12, 16, 25, 26, 27, 30, 31, 33], "first": [1, 2, 3, 6, 16, 25, 26, 29, 30, 31, 33], "fwhm": [1, 20, 30, 31, 33], "which": [1, 2, 3, 5, 6, 16, 19, 22, 25, 26, 28, 29, 30, 31, 33], "hold": [1, 2, 5, 26, 29, 30, 31, 33], "full": [1, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 26, 30], "half": [1, 26, 30], "often": [1, 26, 29, 30], "easier": [1, 33], "compar": [1, 2, 9, 10, 22, 26, 28, 30, 33], "differ": [1, 2, 4, 5, 19, 21, 22, 24, 25, 27, 29, 30, 31, 33], "than": [1, 2, 6, 22, 25, 26, 30, 33], "second": [1, 2, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 25, 26, 33], "height": [1, 19, 20, 33], "contain": [1, 2, 3, 5, 6, 21, 22, 26, 30, 31, 33], "maximum": [1, 2, 3, 19, 22, 23, 26, 30, 33], "typic": [1, 2, 25, 26, 29, 30, 31], "final": [1, 6, 25, 26, 28, 29, 30, 31, 33], "ha": [1, 2, 6, 19, 22, 25, 26, 27, 28, 29, 30, 31, 33], "make": [1, 2, 3, 5, 7, 9, 12, 18, 19, 25, 26, 29, 30, 31, 33], "fairli": [1, 2, 10, 26, 30], "crude": [1, 26], "usual": [1, 6, 25, 26], "suffici": [1, 2, 5, 16, 22, 30], "bound": [1, 2, 3, 4, 5, 6, 21, 22, 24, 25, 26, 27, 28, 29, 30, 31, 33], "0": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 24, 26, 27, 28, 29, 30, 31], "independent_var": [1, 4, 5, 9, 18, 19], "nan_polici": [1, 4, 5, 23, 26, 30, 33], "rais": [1, 5, 26, 30, 33], "kwarg": [1, 7, 30], "A": [1, 3, 4, 5, 6, 14, 22, 25, 26, 27, 28, 30, 31, 33], "distribut": [1, 2, 4, 22, 23, 27, 33], "three": [1, 6, 22, 26], "report": [1, 2, 4, 8, 27, 29, 30, 32, 33], "respect": [1, 19, 26, 29, 30], "f": [1, 2, 6, 7, 8, 12, 15, 22, 23, 25, 26, 30, 31, 33], "pi": [1, 3, 6, 8, 11, 14, 19, 22, 26], "e": [1, 2, 3, 5, 6, 17, 21, 22, 25, 26, 28, 30, 31, 33], "correspond": [1, 2, 26, 29, 30], "ln": [1, 26], "3548": 1, "more": [1, 2, 3, 5, 6, 14, 16, 17, 22, 25, 26, 28, 29, 30, 31, 33], "inform": [1, 2, 4, 5, 14, 17, 22, 29, 30, 33], "see": [1, 2, 5, 6, 11, 16, 21, 22, 23, 25, 26, 30, 31, 33], "http": [1, 2, 5, 6, 7, 11, 14, 16, 17, 25, 26, 28, 30, 33], "en": [1, 25], "wikipedia": [1, 25], "org": [1, 5, 7, 25], "wiki": [1, 25], "normal_distribut": 1, "str": [1, 2, 6, 26, 30, 31], "option": [1, 2, 6, 25, 26, 28, 30, 31, 33], "argument": [1, 2, 4, 5, 25, 26, 31, 33], "default": [1, 2, 5, 6, 17, 19, 25, 26, 28, 30, 31, 33], "string": [1, 30, 31, 33], "prepend": 1, "need": [1, 3, 5, 6, 12, 16, 22, 25, 26, 28, 29, 30, 31, 33], "add": [1, 2, 3, 5, 10, 12, 13, 15, 16, 23, 25, 26, 30, 31, 33], "propag": [1, 26, 28, 30], "omit": [1, 5, 9, 23, 25, 26, 30, 33], "how": [1, 3, 4, 6, 7, 9, 13, 14, 17, 18, 19, 20, 21, 22, 26, 27, 29, 30, 32, 33], "handl": [1, 5, 19, 25, 26, 30, 33], "nan": [1, 4, 5, 26, 27, 30, 33], "miss": [1, 5, 25, 28, 30, 33], "note": [1, 2, 4, 9, 18, 21, 25, 26, 27, 28, 29, 30, 31], "keyword": [1, 4, 5, 19, 26, 29, 31, 33], "pass": [1, 5, 7, 25, 26, 29, 30, 31, 33], "what": [1, 2, 4, 6, 22, 27, 30, 31], "do": [1, 2, 3, 4, 6, 9, 10, 17, 18, 21, 22, 26, 27, 28, 29, 30, 32, 33], "seen": [1, 2, 26, 30], "should": [1, 2, 4, 6, 12, 19, 22, 26, 27, 28, 29, 30, 31, 32, 33], "valueerror": [1, 5, 26, 30], "noth": [1, 30], "drop": [1, 26, 30, 33], "cauchi": [1, 17, 26], "lorentz": 1, "cauchy_distribut": 1, "four": 1, "sigma_r": 1, "split": 1, "mean": [1, 3, 7, 22, 25, 26, 29, 30, 33], "right": [1, 2, 6, 26, 28, 30], "slope": 1, "h": [1, 6], "sigma_l": 1, "heavisid": 1, "geq": 1, "just": [1, 2, 3, 5, 6, 7, 18, 25, 26, 29, 30], "integr": [1, 22, 26], "inf": [1, 5, 6, 7, 22, 25, 26, 30, 31], "equal": [1, 3, 12, 22, 26], "gamma": 1, "By": [1, 5, 7, 25, 26, 30, 31, 33], "definit": [1, 3, 6, 29, 33], "textrm": 1, "w": [1, 33], "z": [1, 6, 19], "operatornam": 1, "erfc": 1, "iz": 1, "complementari": 1, "error": [1, 3, 4, 5, 9, 13, 19, 26, 27, 28, 30, 31, 33], "If": [1, 2, 5, 6, 25, 26, 27, 28, 29, 30, 31, 32, 33], "kept": [1, 27], "6013": 1, "voigt_profil": 1, "pseudo": 1, "weight": [1, 5, 13, 19, 23, 25, 26, 29, 30], "sum": [1, 2, 6, 17, 18, 22, 26, 30], "fraction": [1, 2, 23, 25, 26], "alpha": 1, "control": [1, 26, 29, 30, 31], "compon": [1, 2, 22, 25, 26, 30, 31, 33], "sigma_g": 1, "alwai": [1, 30, 32, 33], "5": [1, 2, 4, 5, 6, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 22, 23, 25, 26, 27, 30, 31], "voigt_approxim": 1, "moffat": 1, "expon": [1, 25], "beta": 1, "shape": [1, 2, 6, 12, 19, 23, 26, 33], "moffat_distribut": 1, "pearson": 1, "iv": 1, "five": [1, 9, 12], "m": [1, 6, 8, 22, 28], "skew": 1, "nu": [1, 2, 26], "posit": [1, 6, 7, 19, 26, 30, 33], "20": [1, 7, 8, 12, 13, 14, 16, 19, 20, 23, 26, 33], "maxim": 1, "about": [1, 3, 5, 22, 25, 26, 29, 30, 33], "1000": [1, 5, 26, 30], "tfrac": 1, "exp": [1, 3, 5, 6, 8, 10, 11, 12, 14, 15, 17, 18, 22, 23, 25, 26, 30], "arctan": 1, "special": [1, 25, 28], "pearson_distribut": 1, "the_pearson_type_iv_distribut": 1, "vii": 1, "bigl": 1, "bigr": 1, "the_pearson_type_vii_distribut": 1, "student": [1, 17], "": [1, 3, 4, 6, 7, 8, 17, 18, 19, 22, 26, 27, 28, 29, 30, 31, 33], "t": [1, 2, 5, 6, 7, 8, 17, 19, 22, 25, 26, 30, 32], "27s_t": 1, "breit": 1, "wigner": 1, "fano": 1, "q": [1, 7], "fano_reson": 1, "log": [1, 2, 3, 17, 22, 23, 25, 26], "modal": 1, "lognorm": [1, 6, 33], "damp": [1, 33], "harmon": [1, 33], "oscil": [1, 33], "harmonic_oscil": 1, "amplitude_part": 1, "dave": 1, "pan": 1, "www": [1, 28, 30], "ncnr": 1, "nist": [1, 33], "gov": 1, "kt": 1, "k": [1, 21, 24], "boltzmann": 1, "constant": [1, 2, 4, 5, 26, 27, 29], "evk": 1, "temperatur": 1, "modifi": [1, 3, 5, 18, 29, 30, 31, 33], "exponentially_modified_gaussian_distribut": 1, "erf": [1, 25], "skew_normal_distribut": 1, "new": [1, 3, 6, 16, 26, 29, 30, 31, 33], "bose": 1, "return": [1, 2, 5, 6, 7, 8, 9, 10, 12, 14, 15, 16, 17, 19, 22, 23, 25, 26, 29, 30, 31, 33], "thermal": [1, 33], "kind": 1, "x_0": [1, 25], "einstein": 1, "maxwel": 1, "fermi": 1, "dirac": 1, "mathrm": [1, 2], "k_b": 1, "8": [1, 4, 6, 7, 11, 12, 13, 14, 15, 19, 22, 26, 27, 30, 31, 33], "617": 1, "times10": 1, "ev": 1, "implement": [1, 3, 4, 6, 14, 25, 26, 27, 28, 29, 30, 31], "energi": 1, "loss": [1, 2, 26, 28], "convent": 1, "scatter": [1, 8, 9], "research": 1, "hyperphys": 1, "phy": 1, "astr": 1, "gsu": 1, "edu": [1, 26], "hbase": 1, "quantum": 1, "disfcn": 1, "html": [1, 5, 11, 14, 16, 17, 25, 26, 28, 30, 33], "doniach": [1, 33], "sunjic": 1, "asymmetr": [1, 2, 26], "photo": 1, "emiss": 1, "co": [1, 3, 19], "casaxp": 1, "com": [1, 6, 28, 33], "help_manu": 1, "line_shap": 1, "htm": 1, "degre": [1, 2, 3, 26], "ineffici": 1, "wai": [1, 3, 4, 5, 19, 26, 27, 28, 29, 30, 32, 33], "regress": [1, 5], "numpi": [1, 2, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 22, 23, 25, 26, 28, 29, 30, 31, 33], "polyfit": 1, "stat": 1, "linregress": 1, "splinemodel": [1, 33], "cubic": 1, "singl": [1, 3, 26, 30, 31], "c": [1, 5, 6, 7, 8, 9, 10, 11, 12, 13, 15, 16, 18, 19, 20, 25, 28, 29], "sens": [1, 19, 26, 29, 30], "depend": [1, 2, 19, 25, 26, 28, 30, 33], "being": [1, 25, 26, 29, 30, 31, 33], "non": [1, 2, 4, 6, 22, 26, 30, 33], "clear": [1, 2, 25, 26, 28, 30, 31], "intercept": 1, "b": [1, 6, 9, 15, 17, 18, 22, 25, 26, 28, 33], "quadrat": [1, 6], "7": [1, 2, 4, 5, 6, 7, 9, 12, 13, 14, 17, 18, 22, 23, 26, 27, 28], "up": [1, 3, 6, 8, 10, 15, 22, 23, 25, 26, 27, 29, 30, 33], "c_0": 1, "c_1": 1, "ldot": 1, "c_7": 1, "sum_": 1, "c_i": 1, "c0": 1, "c1": 1, "c7": 1, "actual": [1, 2, 3, 6, 7, 25, 26, 30, 31, 33], "polyv": 1, "its": [1, 3, 5, 6, 25, 26, 28, 30, 31, 33], "calcul": [1, 4, 6, 10, 12, 15, 17, 21, 22, 23, 24, 25, 27, 28, 29, 33], "xknot": 1, "d": [1, 2, 6, 15, 26], "knot": 1, "s0": 1, "s1": 1, "sn": 1, "n": [1, 2, 5, 6, 7, 10, 15, 17, 23, 26, 29, 30], "must": [1, 6, 25, 26, 28, 30, 31], "ndarrai": [1, 2, 25, 26, 30, 31, 33], "flexibl": [1, 3, 5, 30, 31], "size": [1, 2, 5, 6, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 22, 23, 26, 28, 30, 31, 33], "y": [1, 2, 3, 6, 8, 9, 10, 11, 12, 15, 17, 18, 19, 20, 22, 23, 25, 29, 30, 33], "highest": [1, 26], "order": [1, 5, 25, 26, 28, 29, 30, 31, 33], "discontinu": 1, "necessarili": [1, 26], "through": [1, 2, 32], "fine": [1, 6], "space": [1, 26, 27, 30], "300": [1, 15, 22, 33], "initi": [1, 2, 3, 4, 5, 6, 7, 8, 10, 11, 13, 14, 17, 19, 22, 23, 26, 27, 29, 31, 33], "highli": [1, 2, 3, 26, 28], "float": [1, 2, 25, 26, 27, 29, 30, 31, 33], "requir": [1, 3, 7, 12, 18, 22, 26, 28, 29, 30, 31, 33], "least": [1, 4, 5, 26, 28, 30, 31], "sinusoid": 1, "frequenc": [1, 7, 29, 31], "shift": [1, 6, 8, 14], "phi": 1, "neg": [1, 25, 26, 30, 33], "addition": [1, 27], "smaller": [1, 25], "choic": [1, 29, 30, 31], "atan": [1, 3], "arc": 1, "tangent": 1, "logist": 1, "logistic_funct": 1, "rise": 1, "down": 1, "center1": 1, "mu_1": 1, "center2": 1, "mu_2": 1, "sigma1": [1, 18], "sigma_1": 1, "sigma2": [1, 18], "sigma_2": 1, "transit": [1, 25, 33], "take": [1, 2, 5, 7, 16, 19, 25, 26, 29, 30, 31, 33], "alpha_1": 1, "alpha_2": 1, "decai": [1, 5, 6, 8, 10, 14, 15, 17, 26, 29, 30, 31, 33], "tau": [1, 5, 30], "exponential_decai": 1, "power_law": 1, "centerx": [1, 19], "sigmax": [1, 19], "centeri": [1, 19], "sigmai": [1, 19], "fwhmx": [1, 19], "fwhmy": [1, 19], "maxima": 1, "mu_x": 1, "sigma_x": 1, "mu_i": 1, "sigma_i": 1, "g": [1, 2, 6, 8, 26, 28, 31, 33], "subfunct": 1, "straightforward": 1, "build": [1, 5, 21, 24, 27, 28, 29, 30, 33], "parametr": [1, 27, 29, 30], "far": [1, 26], "present": [1, 5, 6, 9, 26, 30, 33], "process": [1, 19, 25, 26, 28, 29, 30], "too": [1, 3, 25, 26], "difficult": [1, 25, 27, 28, 30], "still": [1, 3, 5, 25, 30, 31, 33], "sometim": [1, 2, 3, 4, 9, 16, 27, 30], "especi": [1, 2, 26, 33], "true": [1, 2, 5, 6, 7, 8, 14, 15, 17, 18, 22, 26, 30, 31, 33], "larger": [1, 26], "librari": [1, 18, 28, 29, 33], "applic": [1, 33], "allow": [1, 2, 3, 7, 11, 26, 27, 28, 29, 30, 31, 33], "express": [1, 4, 11, 16, 18, 26, 27, 28, 29, 30, 31, 33], "astev": [1, 3, 28, 31, 33], "discuss": [1, 4, 25, 26, 28, 30, 31, 32], "expr": [1, 5, 6, 7, 12, 13, 16, 26, 30, 31], "none": [1, 2, 5, 6, 7, 8, 14, 15, 17, 25, 26, 30, 31, 33], "init_script": 1, "kw": [1, 14, 26, 30, 31], "gener": [1, 2, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 25, 26, 28, 29, 30, 31, 32], "script": [1, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 27, 28, 30, 33], "run": [1, 2, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 25, 26, 28, 30, 33], "instanc": [1, 26, 29, 30, 31, 33], "creat": [1, 2, 3, 6, 8, 12, 14, 16, 18, 19, 22, 23, 25, 26, 29, 31, 32, 33], "own": [1, 3, 26, 30, 33], "version": [1, 2, 3, 4, 25, 26, 27, 29, 30], "sinc": [1, 2, 6, 7, 25, 26, 30, 31, 33], "arbitrari": [1, 5, 29, 30, 33], "happen": [1, 26], "pars": [1, 3, 18, 26], "symbol": [1, 3, 18, 31, 33], "found": [1, 2, 25, 26, 30, 33], "alreadi": [1, 6, 22, 26, 30], "over": [1, 2, 5, 19, 22, 25, 26, 30], "500": [1, 5, 15, 23], "namespac": [1, 3], "ins": 1, "200": [1, 2, 5, 7, 12, 20, 22, 31], "inherit": [1, 30], "convert": [1, 2, 3, 17, 25, 26, 30, 31, 33], "unrecogn": 1, "either": [1, 2, 25, 26, 29, 30, 31, 33], "otherwis": [1, 6, 26, 28, 30, 31], "recogn": [1, 33], "off": [1, 6, 25, 26, 29], "amp": [1, 6, 8, 10, 11, 12, 14, 17, 30, 31, 33], "x0": [1, 6, 25, 26], "phase": [1, 26, 31], "assum": [1, 2, 7, 18, 22, 25, 26, 28, 29, 30], "sole": 1, "obviou": [1, 32], "hint": [1, 4], "custom": [1, 7, 26, 30, 33], "line": [1, 3, 25, 26, 30, 31, 32], "complex": [1, 4, 21, 24, 26, 27, 29, 30, 33], "inevit": 1, "text": [1, 2, 25, 26, 30], "your": [1, 25, 26, 27, 29, 30], "probabl": [1, 2, 4, 6, 22, 23, 25, 27, 30, 31, 33], "unphys": 1, "logarithm": 1, "could": [1, 3, 6, 10, 12, 17, 26, 29, 30], "mid": 1, "wid": [1, 11, 30, 31], "we": [1, 2, 5, 6, 7, 9, 12, 16, 17, 18, 19, 21, 22, 26, 28, 29, 30, 32, 33], "similar": [1, 25, 26, 30, 32], "decid": [1, 32], "better": [1, 2, 6, 22, 25, 26, 29, 32, 33], "write": [1, 3, 4, 27, 29, 30, 31], "ourselv": 1, "slightli": [1, 2, 25, 26, 30], "print": [1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 15, 17, 18, 20, 22, 23, 27, 30, 31, 33], "out": [1, 5, 6, 7, 8, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 30, 33], "interest": [1, 27, 30], "longer": [1, 33], "And": [1, 5, 7, 26], "third": 1, "autom": [1, 2, 26], "good": [1, 2, 4, 6, 22, 25, 28, 33], "plot": [1, 2, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 25, 26, 28, 30, 33], "decent": 1, "match": [1, 5, 26, 29, 30, 31], "explicit": [1, 26, 30, 33], "look": [1, 2, 22, 25, 26, 29, 31, 33], "perfect": [1, 28], "tail": 1, "perhap": [1, 3, 25, 29, 30], "would": [1, 2, 3, 5, 22, 25, 26, 29, 30, 31, 32, 33], "replac": [1, 5, 29, 31, 33], "get": [1, 4, 6, 22, 27, 28, 30, 33], "rest": [1, 30], "predict": [1, 2, 28, 30], "thing": [1, 3, 18, 21, 26, 29], "try": [1, 7, 23, 25, 26, 30, 32, 33], "wors": 1, "statist": [1, 2, 4, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 29, 30, 33], "visual": [1, 4, 6, 26, 27], "inspect": [1, 5, 22, 33], "figur": [1, 2, 6, 7, 8, 12, 16, 25, 30, 33], "now": [1, 2, 3, 6, 7, 12, 19, 26, 27, 28, 30, 33], "chi": [1, 4, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 25, 26, 27, 29, 30, 33], "doubl": [1, 2, 23, 25, 26], "job": 1, "much": [1, 2, 3, 22, 26, 28, 33], "measur": [1, 7, 26, 29], "obvious": [1, 28], "behavior": [1, 26, 29, 33], "exactli": [1, 2, 31], "separ": [1, 3, 26, 29], "improv": [1, 2, 26, 27, 28, 33], "chang": [1, 2, 6, 9, 25, 26, 27, 28, 29, 30, 31, 33], "someth": [1, 3, 22, 25, 32], "mod": [1, 30], "par": [1, 6, 8, 14, 15, 16, 30, 31], "significantli": [1, 6], "outsid": [1, 22, 26, 30, 31], "compel": 1, "reduc": [1, 2, 6, 7, 8, 9, 10, 11, 13, 14, 19, 20, 21, 22, 24, 26, 30, 33], "even": [1, 2, 14, 26, 27, 28, 30, 31, 33], "fourth": 1, "been": [1, 26, 28, 29, 30, 33], "ad": [1, 2, 4, 7, 15, 22, 23, 26, 27, 28, 31, 33], "simplest": [1, 5, 25], "signific": [1, 2, 29, 30, 33], "akaik": [1, 4, 6, 7, 8, 9, 10, 11, 13, 14, 17, 19, 20, 30], "bayesian": [1, 2, 4, 6, 7, 8, 9, 10, 11, 13, 14, 17, 19, 20, 22, 30], "criteria": [1, 4], "assess": [1, 9, 26], "explain": [1, 2, 6, 29, 30], "fix": [1, 2, 3, 5, 6, 8, 18, 27, 28, 29, 30, 31, 33], "accord": 1, "theori": [1, 28], "aic1": 1, "aic0": 1, "aic": [1, 26, 30], "1436": 1, "1324": 1, "had": [1, 6, 30], "carefulli": 1, "nois": [1, 2, 5, 6, 8, 14, 15, 17, 18, 23, 26, 33], "roughli": 1, "sai": [1, 2, 3, 22, 30], "25": [1, 6, 8, 12, 19, 20, 30], "made": [1, 2, 25, 30, 33], "last": [1, 26, 30, 33], "togeth": [1, 6, 30], "larg": [1, 25, 26, 28, 33], "therefor": [1, 6, 12, 25], "variou": [1, 33], "noisi": [1, 19], "tell": [1, 19, 22, 25], "detail": [1, 26, 28, 29, 30, 31, 33], "make_param": [1, 5, 7, 13, 19, 23, 33], "problem": [1, 2, 3, 10, 22, 25, 26, 27, 29, 30, 31, 32, 33], "overcom": 1, "attribut": [1, 3, 4, 6, 13, 14, 22, 26, 27, 28, 29, 31, 33], "blank": [1, 31], "put": [1, 26, 29, 30, 33], "illustr": [1, 2, 5, 6, 19, 26, 29], "classic": 1, "dataset": [1, 2, 9], "strd": [1, 33], "suit": [1, 28, 33], "involv": [1, 33], "thei": [1, 5, 6, 22, 25, 26, 29, 30, 31, 33], "attach": 1, "transpar": 1, "bare": 1, "without": [1, 3, 4, 9, 15, 26, 27, 28, 29, 30, 33], "becaus": [1, 22, 25, 26, 30], "individu": [1, 5, 29, 31], "gauss1": 1, "gauss2": 1, "site": 1, "averag": 1, "difficulti": [1, 26], "deliber": [1, 2], "appli": [1, 18, 19, 25, 29, 30, 31], "modest": [1, 26], "displai": [1, 6, 8, 26, 33], "One": [1, 3, 26, 30], "itself": [1, 2, 26, 29, 30], "overlap": [1, 30], "furthermor": [1, 26], "poorli": 1, "simplifi": [1, 3, 31, 33], "index_of": 1, "That": [1, 2, 3, 6, 25, 26, 30, 31, 32], "def": [1, 5, 6, 7, 8, 9, 10, 12, 14, 15, 16, 17, 19, 22, 23, 25, 30], "arrval": 1, "index": [1, 5, 6, 26], "np": [1, 5, 6, 7, 9, 10, 11, 12, 15, 16, 17, 18, 19, 22, 23, 25, 26, 30, 33], "ix1": 1, "75": [1, 5, 6], "ix2": 1, "135": [1, 17], "ix3": 1, "175": 1, "exp_mod": 1, "converg": [1, 26], "answer": [1, 25], "ident": [1, 6, 18, 31], "precis": [1, 2, 25, 30, 31, 33], "fewer": [1, 29], "file": [1, 6, 24, 28, 30, 31], "doc_builtinmodels_nistgauss2": 1, "py": [1, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 24, 25, 28, 33], "folder": [1, 28, 30], "view": [1, 25, 26, 30], "due": [1, 25, 29, 32, 33], "physic": [1, 19], "effect": [1, 2, 25, 26, 33], "respons": 1, "instrument": 1, "understood": 1, "analysi": [1, 28, 30], "huge": 1, "help": [1, 2, 3, 4, 5, 26, 27, 29, 30], "those": [1, 2, 6, 25, 26, 30, 31], "reflect": [1, 2, 26, 31, 33], "complet": [1, 3, 21, 25, 26, 28, 30, 33], "piecewis": 1, "continu": [1, 25, 26], "seri": [1, 5, 30], "particular": [1, 3, 5, 6, 26, 28, 29, 30], "doc_builtinmodels_splinemodel": 1, "character": 1, "oscillatori": 1, "structur": [1, 26, 29, 30], "account": [1, 2, 7], "ll": [1, 2, 5, 6, 7, 26, 30], "know": [1, 18, 19, 25, 30], "pick": 1, "awai": [1, 16, 26], "don": [1, 5, 19], "want": [1, 3, 5, 6, 26, 28, 29, 30, 33], "let": [1, 6, 7, 18, 19, 30], "13": [1, 4, 6, 7, 8, 9, 14, 20, 26, 27], "skip": [1, 5], "around": [1, 2, 25, 26, 29, 30], "16": [1, 6, 8, 19, 33], "19": [1, 12, 13, 14, 28], "21": [1, 6, 7, 10, 13, 16, 19, 20, 33], "23": [1, 12, 13, 33], "bkg": 1, "updat": [1, 3, 25, 26, 30, 31, 33], "param": [1, 2, 3, 5, 6, 7, 8, 9, 10, 12, 13, 14, 15, 16, 17, 19, 20, 22, 23, 25, 26, 29, 30, 31, 33], "object": [1, 2, 3, 5, 6, 12, 22, 25, 26, 27, 29, 31, 33], "11": [1, 2, 6, 16, 26, 33], "goe": [1, 26, 29], "saniti": 1, "go": [1, 2, 19, 22, 25, 33], "wrong": 1, "realli": [1, 25, 30, 33], "necessari": [1, 2, 26, 30], "advic": 1, "overli": 1, "restrict": [1, 19], "observ": [1, 5, 30], "notic": [1, 2, 28], "extrem": 1, "high": [1, 2, 26, 27, 28, 30], "locat": [1, 22, 26], "impact": [1, 4, 25], "select": [1, 2, 21, 24, 26, 28, 29, 33], "tabl": [1, 14, 26, 30, 31, 33], "knot_xvals1": 1, "12": [1, 4, 13, 15, 17, 27], "223": 1, "295": 1, "knot_xvals2": 1, "746": 1, "594": 1, "knot_xvals3": 1, "052": 1, "872": [1, 33], "dramat": 1, "enough": [1, 25, 26], "mostli": 1, "cover": 1, "reader": 1, "encourag": [1, 21, 30], "basic": [1, 4, 9, 25, 27, 29, 30, 31], "baselin": 1, "ask": [1, 4, 27, 30], "whether": [1, 2, 6, 23, 26, 28, 30, 31, 32], "spectra": 1, "impos": [1, 3], "nearbi": 1, "10": [1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 25, 26, 27, 30, 31], "confid": [1, 4, 21, 24, 26, 27, 28, 29, 30, 33], "care": [1, 33], "modul": [2, 3, 4, 19, 25, 27, 30, 33], "model": [2, 3, 4, 6, 8, 9, 11, 12, 13, 14, 15, 16, 19, 20, 21, 24, 25, 26, 27, 28, 29, 31, 33], "But": [2, 22, 30], "two": [2, 3, 4, 6, 8, 21, 22, 24, 25, 26, 27, 30, 33], "exponenti": [2, 4, 5, 15, 22, 23, 26, 27, 30, 31, 33], "fail": [2, 25, 30], "conf_interv": [2, 4, 8, 30], "directli": [2, 6, 26, 31, 33], "substanti": 2, "slower": 2, "robust": [2, 17, 26, 29], "our": [2, 6, 18, 26, 29, 30, 32], "null": [2, 5], "altern": [2, 3, 5, 17, 25, 26, 30], "specif": [2, 3, 6, 25, 26, 28, 33], "until": [2, 6], "2_0": 2, "2_": [2, 26], "freedom": [2, 26], "within": [2, 3, 22, 26, 30], "certain": [2, 6, 19, 30], "p": [2, 6, 9, 22, 23, 26], "2_f": 2, "data": [2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 18, 19, 21, 22, 23, 24, 26, 27, 28, 29, 31, 33], "likelihood": [2, 17, 22, 23, 26], "consider": 2, "_best_": [2, 8], "column": [2, 20, 26, 30, 31], "level": [2, 26, 27, 28, 29, 30, 33], "step": [2, 3, 4, 6, 22, 23, 25, 26, 27, 31, 33], "behav": [2, 6, 26], "68": [2, 6, 8], "3": [2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 15, 16, 17, 18, 19, 20, 22, 23, 26, 27, 28, 30, 31], "99": [2, 6, 7, 8, 19], "linear": [2, 4, 13, 19, 22, 26, 30, 33], "symmetr": 2, "henc": 2, "find": [2, 6, 23, 25, 26, 27, 32], "exact": [2, 26], "import": [2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 26, 27, 28, 30, 33], "loop": [2, 3], "manual": 2, "pair": [2, 26, 29, 31], "doesn": [2, 7, 22, 32], "implic": 2, "automat": [2, 5, 25, 26, 27, 28, 30, 33], "quickli": [2, 29], "uncertaini": 2, "direct": [2, 19, 28, 30], "convei": 2, "further": [2, 26, 31], "contour": [2, 6], "ellipt": [2, 26], "ratio": [2, 18], "major": [2, 14], "minor": 2, "ax": [2, 6, 8, 9, 19, 26, 30], "conf_interval2d": [2, 4, 8, 33], "delta": [2, 3], "chi_": 2, "understand": [2, 26], "natur": [2, 25], "gaussian": [2, 3, 4, 6, 12, 13, 16, 18, 22, 25, 26, 27, 33], "real": [2, 3, 6, 7, 25, 26, 29, 30], "world": 2, "obtain": [2, 6, 22, 26], "agre": [2, 26], "decim": 2, "becom": [2, 3, 5, 29, 30], "squar": [2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 25, 26, 28, 30, 33], "dot": [2, 30], "box": [2, 5], "dash": [2, 6, 30], "notion": 2, "small": [2, 7, 25, 29, 30], "asymmetri": 2, "mislead": 2, "minim": [2, 3, 4, 5, 8, 10, 12, 14, 15, 16, 17, 21, 22, 23, 24, 25, 28, 29, 30, 31, 33], "emce": [2, 4, 21, 24, 27, 28, 33], "posterior": [2, 4, 22, 23, 27], "particularli": 2, "nelder": [2, 23, 26, 33], "mead": [2, 26], "numdifftool": [2, 6, 10, 17, 26, 27, 28, 30, 33], "packag": [2, 6, 18, 22, 25, 26, 27, 28, 29, 30, 33], "instal": [2, 4, 6, 10, 17, 25, 26, 27, 30, 33], "previous": [2, 6], "solut": [2, 6, 22, 23, 26, 27], "trace": [2, 8], "a1": [2, 18, 23], "a2": [2, 18, 23, 26], "t1": [2, 23, 26], "t2": [2, 23, 26], "95": [2, 7, 8], "region": [2, 8, 26], "neither": [2, 28], "like": [2, 3, 4, 5, 6, 22, 25, 26, 27, 29, 30, 31], "ellips": [2, 26], "implicitli": [2, 5], "approach": [2, 3, 22, 25, 26, 29, 30], "bit": [2, 3, 6, 26], "mcmc": [2, 22, 23, 26], "corner": [2, 6, 23, 26, 28, 33], "agreement": 2, "dictionari": [2, 3, 26, 29, 30, 31, 33], "cumul": 2, "complement": 2, "markov": [2, 22, 26], "chain": [2, 22, 23, 26], "mont": [2, 22, 26], "carlo": [2, 22, 26], "sampl": [2, 6, 7, 19, 22, 26, 33], "demonstr": [2, 20], "refer": [2, 5, 14, 17, 26, 28, 29, 30, 31, 33], "methodologi": 2, "credibl": 2, "equival": [2, 3, 5, 26, 30, 31], "frequentist": 2, "outlier": [2, 17, 21, 24, 26], "margin": [2, 26], "nuisanc": [2, 26], "etcetera": [2, 26, 30], "underestim": 2, "tutori": [2, 29], "offer": [2, 30], "jakevdp": 2, "github": [2, 5, 6, 11, 14, 16, 17, 27, 28, 32, 33], "io": [2, 5, 11, 14, 16, 17, 26], "blog": 2, "2014": [2, 26], "03": [2, 6, 12, 14, 24], "frequent": [2, 4, 27], "practic": [2, 7, 26, 29], "intro": 2, "p_name": 2, "fals": [2, 5, 6, 8, 22, 23, 26, 29, 30, 31, 33], "maxit": [2, 26, 33], "verbos": [2, 7, 30], "prob_func": 2, "ci": [2, 8, 33], "remain": [2, 29], "1d": [2, 12], "rootfind": 2, "search": [2, 21, 24, 26, 32], "minimizerresult": [2, 4, 5, 6, 27, 30, 33], "everi": [2, 26, 31], "bool": [2, 6, 26, 30, 31], "save": [2, 4, 31, 33], "along": [2, 6, 26], "profil": [2, 4, 6, 19, 27], "int": [2, 6, 17, 26, 30, 31, 33], "iter": [2, 4, 27, 30], "extra": [2, 5, 22, 30, 31], "debug": 2, "callabl": [2, 17, 26, 30, 33], "built": [2, 3, 4, 11, 12, 19, 26, 27, 28, 30, 33], "f_compar": 2, "output": [2, 4, 6, 7, 11, 21, 23, 27, 30, 33], "dict": [2, 6, 13, 14, 16, 17, 18, 23, 26, 30, 31, 33], "val": 2, "tupl": [2, 6, 26, 30, 31], "trace_dict": 2, "prob": [2, 8], "taken": [2, 22, 28, 30], "deviat": 2, "6827": [2, 30], "9545": [2, 30], "9973": [2, 30], "printfunc": [2, 14, 22, 33], "mini": [2, 8, 16, 22], "some_func": 2, "report_error": [2, 33], "report_ci": [2, 8], "quantil": [2, 23, 26], "para1": 2, "free": [2, 8, 27, 30], "not_para1": 2, "x_name": 2, "y_name": 2, "nx": 2, "ny": 2, "nsigma": [2, 33], "chi2_out": [2, 33], "x_upper": 2, "x_lower": 2, "y_upper": 2, "y_lower": 2, "stderr": [2, 5, 6, 7, 9, 26, 30, 31], "deprec": [2, 26, 28, 30, 33], "unus": [2, 33], "multipli": [2, 4, 25, 27], "coordin": [2, 6, 19], "grid": [2, 19, 21, 24, 26, 31], "gr": 2, "para2": 2, "plt": [2, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 22, 23, 30], "ci_report": [2, 4, 30], "with_offset": [2, 30], "ndigit": [2, 30], "subtract": [2, 6, 30], "digit": [2, 30, 31], "format": [2, 26, 30, 33], "type": [2, 4, 22, 26, 31, 33], "Being": 3, "capabl": [3, 26, 27, 28], "exampl": [3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 24, 25, 26, 27, 28, 29, 33], "peak": [3, 4, 12, 16, 20, 21, 22, 24, 25, 27, 30], "rewrit": [3, 29], "somewhat": [3, 30, 33], "prone": 3, "labori": 3, "assign": [3, 12, 30], "builtin": 3, "syntax": 3, "safe": [3, 25], "isol": 3, "forc": [3, 6, 26, 28, 31, 33], "relat": [3, 22, 25, 26, 29, 33], "gaussianmodel": [3, 4, 13, 30], "keep": [3, 6, 19, 23, 25, 26, 29, 33], "dure": [3, 25, 26, 27, 29, 30, 31], "done": [3, 6, 22, 26, 29, 30, 33], "pre": [3, 4, 27, 30, 33], "defin": [3, 4, 5, 6, 7, 8, 11, 22, 26, 27, 29, 31, 33], "statement": [3, 31], "frac_curve1": 3, "frac_curve2": 3, "user": [3, 4, 5, 6, 7, 11, 17, 21, 26, 27, 28, 29, 30, 31, 33], "purpos": [3, 28], "nearli": [3, 26], "valid": [3, 26, 30, 31], "varieti": 3, "logic": 3, "7182818": 3, "1415926": 3, "trigonometr": 3, "ab": [3, 7, 8, 14, 30], "aco": 3, "acosh": 3, "asin": 3, "asinh": 3, "atan2": 3, "atanh": 3, "ceil": 3, "copysign": 3, "cosh": 3, "fab": 3, "factori": 3, "floor": 3, "fmod": 3, "frexp": 3, "fsum": 3, "hypot": 3, "isinf": 3, "isnan": [3, 5, 30], "ldexp": 3, "log10": [3, 7], "log1p": 3, "modf": 3, "pow": 3, "radian": [3, 19], "sinh": 3, "tan": 3, "tanh": 3, "trunc": 3, "familiar": [3, 29, 32], "rather": [3, 6, 25, 29, 30], "question": [3, 4, 27, 32], "le": [3, 28], "algebra": [3, 21, 24, 27, 29, 30, 31], "recast": 3, "held": [3, 26, 30, 31, 33], "next": [3, 5, 6, 18, 30, 31], "essenti": [3, 29, 30], "impli": [3, 28], "secondari": 3, "conveni": [3, 5, 7], "abstract": [3, 30], "tree": 3, "intermedi": 3, "check": [3, 5, 19, 23, 26, 28, 30, 33], "compil": [3, 26], "among": 3, "parser": [3, 18], "ast": 3, "eval": [3, 6, 7, 8, 9, 10, 11, 13, 14, 17, 19, 20, 23, 26, 30, 31, 33], "condit": [3, 28, 30], "unsupport": [3, 33], "malici": 3, "later": [3, 7, 30, 32], "_astev": [3, 31], "flat": 3, "preload": 3, "lorentzian": [3, 4, 13, 16, 20, 27, 30], "afterward": [3, 16], "download": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 27], "prerequisit": [4, 27], "develop": [4, 27, 33], "acknowledg": [4, 27], "copyright": [4, 27], "licens": [4, 27, 33], "releas": [4, 25, 27, 28], "02": [4, 6, 7, 8, 14, 26, 27], "2023": [4, 27], "april": [4, 27], "05": [4, 6, 7, 8, 11, 13, 16, 27], "novemb": [4, 27], "27": [4, 8, 16, 19, 27], "2022": [4, 27, 28], "octob": [4, 27], "14": [4, 8, 13, 14, 24, 26, 27], "2021": [4, 5, 8, 11, 12, 15, 19, 27], "februari": [4, 27], "9": [4, 6, 7, 8, 11, 12, 13, 16, 19, 20, 23, 26, 27, 28, 30], "15": [4, 6, 8, 11, 13, 15, 19, 20, 22, 23, 25, 26, 27, 28], "6": [4, 5, 6, 9, 12, 13, 16, 19, 22, 25, 26, 27, 28], "4": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 19, 22, 23, 27, 28, 30, 31], "summari": [4, 30], "submit": [4, 21, 27, 32], "bug": [4, 27, 28, 32, 33], "why": [4, 7, 27, 29, 32], "did": [4, 19, 27, 33], "my": [4, 27], "break": [4, 27, 33], "upgrad": [4, 27, 28, 33], "ipython": [4, 27, 33], "multi": [4, 26, 27, 30], "dimension": [4, 12, 21, 24, 27, 30, 31, 33], "multipl": [4, 21, 24, 27, 30], "cite": [4, 27], "sourc": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 27, 28, 30], "stuck": [4, 26, 27], "indic": [4, 5, 26, 27, 30], "discret": [4, 27], "create_param": [4, 6, 8, 14, 16, 17, 27, 29, 30, 33], "analyz": [4, 27], "choos": [4, 5, 6, 19, 27], "fit_report": [4, 6, 7, 9, 11, 13, 20, 26, 30, 33], "callback": [4, 27, 30], "motiv": [4, 27], "prefix": [4, 7, 13, 27, 33], "load": [4, 31, 33], "modelresult": [4, 25, 27, 33], "composit": [4, 27, 33], "lorentzianmodel": [4, 13, 20], "splitlorentzianmodel": 4, "voigtmodel": [4, 33], "pseudovoigtmodel": 4, "moffatmodel": 4, "pearson4model": [4, 33], "pearson7model": 4, "studentstmodel": 4, "breitwignermodel": 4, "lognormalmodel": 4, "dampedoscillatormodel": 4, "dampedharmonicoscillatormodel": 4, "exponentialgaussianmodel": 4, "skewedgaussianmodel": 4, "skewedvoigtmodel": [4, 33], "thermaldistributionmodel": 4, "doniachmodel": 4, "polynomi": [4, 27], "constantmodel": [4, 33], "linearmodel": [4, 13, 30], "quadraticmodel": 4, "polynomialmodel": [4, 33], "splinelmodel": 4, "period": [4, 8, 14, 26, 27, 30], "sinemodel": [4, 33], "stepmodel": [4, 33], "rectanglemodel": [4, 33], "power": [4, 27], "law": [4, 27], "exponentialmodel": 4, "powerlawmodel": 4, "gaussian2dmodel": [4, 19, 33], "expressionmodel": [4, 21, 24, 33], "voigt": [4, 27], "spline": [4, 27], "interv": [4, 21, 24, 26, 27, 28, 30, 33], "standard": [4, 7, 26, 27, 31, 32], "advanc": [4, 5, 26, 27], "overview": [4, 27, 29], "oper": [4, 25, 26, 27, 30], "inequ": [4, 21, 24, 27], "usag": [4, 5, 6, 26, 27, 30, 33], "galleri": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 27, 28, 33], "click": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23], "notebook": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 33], "pleas": [5, 14, 17, 18, 21, 26, 27, 28, 32, 33], "panda": [5, 21, 24, 26, 28, 30, 33], "report_fit": [5, 8, 10, 12, 14, 16, 17, 19, 22, 23], "concis": 5, "fitter": [5, 6, 26], "littl": [5, 26], "linspac": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 22, 23], "num": 5, "random": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 22, 23, 26], "seed": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 22, 23, 26], "randn": [5, 7, 9, 18, 22, 23], "infer": [5, 30], "Then": 5, "residu": [5, 8, 10, 12, 14, 16, 17, 22, 25, 26, 29, 30, 33], "immedi": [5, 25], "146693193035428": 5, "8980289807066": 5, "review": 5, "access": [5, 6, 25, 26, 29, 30, 33], "pretty_print": [5, 6, 7, 26, 31], "brute_step": [5, 6, 7, 26, 30, 31, 33], "147": 5, "0913": 5, "898": 5, "06299": 5, "store": [5, 6, 26, 30], "mimimizerresult": 5, "14669319": 5, "09130428": 5, "28": [5, 23, 28], "init": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 16, 17, 19, 20], "89802898": 5, "06299118": 5, "17": [5, 11, 33], "unreport": [5, 6, 7, 8, 9, 10, 11, 12, 13, 16, 19, 20], "100": [5, 6, 7, 8, 9, 10, 11, 12, 13, 16, 19, 20, 22, 26, 30, 31], "7533": 5, "97663118": 5, "04347476": 5, "46": [5, 7, 24], "unwieldi": 5, "extract": [5, 26, 30], "14669316": 5, "09130423": 5, "89802901": 5, "06299127": 5, "overrid": [5, 30], "properti": [5, 30], "input": [5, 7, 26, 30, 33], "reus": [5, 30], "retain": [5, 26, 28, 30], "todo": [5, 12], "fixm": [5, 22], "sure": [5, 25, 33], "ever": [5, 25], "except": [5, 6, 26, 30, 33], "current": [5, 21, 26, 30, 31], "implicit": 5, "magic": [5, 33], "easi": [5, 26, 29, 30, 32, 33], "neglect": [5, 26], "unspecifi": [5, 30], "throw": 5, "userwarn": 5, "leav": [5, 21, 24, 25, 31, 33], "open": [5, 27, 31], "unforeseen": 5, "extens": 5, "prefer": [5, 21, 30, 32], "think": 5, "term": [5, 22, 26], "arang": [5, 9, 12], "len": [5, 6, 15, 17], "98535179": 5, "28002384": 5, "01": [5, 6, 11, 12, 13, 14, 19, 24], "97268236": 5, "11134755": 5, "9311": 5, "attempt": [5, 26], "convention": 5, "lengthi": [5, 6], "data_with_hol": 5, "copi": [5, 6, 23, 26, 29, 30, 31, 33], "700": [5, 25, 33], "15448795": 5, "09181809": 5, "89285089": 5, "06306004": 5, "18": [5, 6, 10, 33], "7542": 5, "ignor": [5, 26, 30], "proactiv": 5, "uncom": 5, "reli": [5, 29, 33], "isnul": [5, 30], "silent": 5, "fall": 5, "back": [5, 33], "align": [5, 30], "imagin": [5, 25], "collect": [5, 9, 22], "length": [5, 6, 26], "long": [5, 28, 30], "regardless": 5, "pydata": 5, "doc": [5, 26, 28, 33], "stabl": [5, 28], "tool": [5, 26, 29, 30], "unlik": [5, 25], "wrapper": [5, 26, 30], "slice": [5, 26], "correct": [5, 6, 26, 33], "truncated_data": 5, "800": [5, 15, 33], "10725864": 5, "24259071": 5, "41": [5, 7, 8], "92503564": 5, "13481789": 5, "61": 5, "9320": 5, "entri": [5, 30], "unequ": 5, "properli": [5, 22, 26], "truncated_data_with_hol": 5, "11270194": 5, "24334895": 5, "42": 5, "92065227": 5, "13488230": 5, "62": 5, "total": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 24, 26, 30], "minut": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23], "414": [5, 24], "example_model_interfac": [5, 24], "jupyt": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 28, 33], "ipynb": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 26], "sphinx": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 28, 33], "multidimension": [6, 26], "minimum": [6, 26, 33], "finit": [6, 25, 26, 30, 31, 33], "deal": [6, 26], "matplotlib": [6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 22, 23, 28, 30, 33], "color": [6, 9, 18, 30], "pyplot": [6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 22, 23, 30], "seek": 6, "deep": 6, "crater": 6, "f1": 6, "f2": 6, "f3": 6, "suppos": 6, "signatur": [6, 26, 30, 33], "stepsiz": 6, "44": 6, "26": [6, 12, 13, 14, 19], "l": [6, 17, 26, 33], "valuesdict": [6, 22, 23, 26, 31], "increment": 6, "inclus": [6, 21, 26], "grid_x": 6, "grid_i": 6, "uniqu": [6, 8], "ravel": [6, 19], "brute_grid": 6, "raw": 6, "brute_": [6, 26], "parnam": [6, 26], "brute_x0": 6, "brute_fv": 6, "8923637137222027": 6, "represent": [6, 26, 30, 31, 33], "brute_jout": 6, "jout": [6, 26], "func": [6, 9, 15, 19, 26, 30], "134": 6, "119": 6, "6875": 6, "106": 6, "74": 6, "18749997": 6, "85": [6, 19], "24999999": 6, "97": [6, 8, 13, 17, 19, 23], "1875": 6, "129": 6, "125": 6, "115": 6, "101": [6, 10, 17, 20], "74999948": 6, "99999987": 6, "98": 6, "12499997": 6, "124": 6, "110": 6, "5625": 6, "5624928": 6, "86": 6, "99999818": 6, "31249964": 6, "94": 6, "12499965": 6, "24999772": 6, "77": 6, "24998843": 6, "192": [6, 20], "208": 6, "225": 6, "875": 6, "96": [6, 8, 19], "49999997": 6, "87": [6, 19, 26], "81249979": 6, "79": [6, 14], "99999892": 6, "199": 6, "8125": 6, "216": 6, "234": 6, "0625": 6, "90": 6, "62499998": 6, "82": 6, "99999992": 6, "207": 6, "224": 6, "242": 6, "reassuringli": 6, "sine": [6, 29], "wave": [6, 29], "synthet": [6, 8, 10, 11, 14, 15, 17, 18], "301": 6, "025": 6, "o": [6, 9, 10, 11, 12, 14, 15, 16, 17, 18, 23, 28, 30], "fcn2min": [6, 31], "omega": [6, 10, 17], "contrast": 6, "howev": [6, 22, 25, 26, 28, 30], "005": 6, "571": [6, 33], "fcn_arg": [6, 8, 15, 16, 26, 30], "result_brut": 6, "375000": 6, "9353671": 6, "04018642": 6, "info": [6, 7, 8, 9, 10, 11, 13, 14, 17, 19, 20, 33], "crit": [6, 7, 8, 9, 10, 11, 13, 14, 17, 19, 20], "963": 6, "508878": 6, "948": 6, "680437": 6, "warn": [6, 10, 17, 30, 33], "nativ": [6, 10, 17, 27, 33], "pip": [6, 10, 17, 25, 28], "00000000": 6, "02500000": 6, "13089969": 6, "similarli": [6, 18, 26, 31], "dictat": 6, "latter": [6, 29], "scenario": [6, 26], "interpol": [6, 8, 19, 26], "par_nam": 6, "indx_shift": 6, "var_nam": [6, 23, 26, 30], "grid_shift": 6, "nnumber": 6, "ngrid": 6, "57079633": 6, "43989663": 6, "30899694": 6, "17809725": 6, "04719755": 6, "91629786": 6, "78539816": 6, "65449847": 6, "52359878": 6, "39269908": 6, "26179939": 6, "consid": [6, 19, 26, 28, 30, 33], "numer": [6, 25, 26, 30, 31], "24": [6, 16, 19], "00000000e": 6, "20417043e": 6, "50000000e": 6, "05000000e": 6, "encompass": 6, "realist": 6, "complic": [6, 16, 26, 29], "anoth": [6, 25, 26, 30], "come": [6, 25, 26, 28], "plai": 6, "candid": [6, 26], "rank": 6, "50": [6, 8, 12, 15, 20, 23, 25, 26, 31], "accomplish": [6, 29], "chisqr": [6, 9, 15, 26, 30], "namedtupl": [6, 26], "score": [6, 26], "sort": [6, 7, 26, 30], "lowest": [6, 7, 26], "show_candid": [6, 26], "935": 6, "1309": 6, "994": 6, "said": 6, "top": [6, 26], "best_result": 6, "deepcopi": [6, 33], "trial": 6, "8653514": 6, "03658367": 6, "991": 6, "780924": 6, "976": 6, "952483": 6, "00323085": 6, "03805940": 6, "76": [6, 10, 14], "02563850": 6, "4572e": 6, "04": [6, 7, 11, 12, 14], "09162987": 6, "00978382": 6, "99611629": 6, "00316225": 6, "7855": 6, "5838": 6, "1208": 6, "were": [6, 26, 30, 33], "appreci": [6, 32], "label": [6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 18, 19, 23, 30, 33], "legend": [6, 7, 9, 10, 11, 13, 14, 15, 16, 17, 18, 23], "incorpor": 6, "plot_results_brut": 6, "best_val": [6, 9], "varlabel": 6, "per": [6, 12, 25, 26], "inspir": [6, 27], "dfm": 6, "meth": [6, 31], "axi": [6, 8, 30], "pdf": [6, 17, 26, 28], "npar": 6, "_fig": 6, "subplot": [6, 8, 9, 19], "isinst": 6, "par1": 6, "enumer": [6, 12, 23], "par2": 6, "v": [6, 15, 22, 29], "chi2": [6, 26], "set_ylabel": [6, 8, 9, 19], "r": [6, 7, 9, 11, 13, 19, 20, 26, 28, 30, 33], "set_xlabel": [6, 8, 9, 19], "axvlin": 6, "elif": [6, 8], "red_axi": 6, "yaxi": 6, "set_label_posit": 6, "set_ticks_posit": 6, "set_xtick": 6, "invert_xaxi": 6, "els": [6, 8], "axhlin": 6, "meshgrid": [6, 19], "lvls1": 6, "median": [6, 26], "dtype": [6, 30, 33], "lvls2": 6, "lvl": 6, "concaten": [6, 25], "contourf": [6, 8], "norm": 6, "set_ytick": 6, "savefig": 6, "22": [6, 13, 24, 25, 33], "385": [6, 24], "example_brut": [6, 24], "khalil": 7, "et": 7, "al": 7, "arxiv": 7, "1108": 7, "3117": 7, "forward": 7, "transmiss": 7, "microwav": 7, "qualiti": [7, 26], "coupl": [7, 25], "q_e": 7, "f_0": 7, "s_": 7, "2jq": 7, "mismatch": 7, "imped": 7, "q_e_real": 7, "1j": 7, "q_e_imag": 7, "linear_reson": 7, "2j": 7, "resonatormodel": 7, "__doc__": 7, "common_init_doc": 7, "__init__": 7, "self": [7, 21, 30], "arg": [7, 10, 12, 14, 17, 26, 30], "super": 7, "set_param_hint": [7, 30], "enforc": [7, 29, 33], "pop": 7, "argmin_s21": 7, "argmin": 7, "fmin": 7, "fmax": 7, "f_0_guess": 7, "q_min": 7, "isn": [7, 30], "delta_f": 7, "diff": 7, "min_delta_f": 7, "q_max": 7, "q_guess": 7, "geometr": 7, "q_e_real_guess": 7, "qmin": 7, "update_param_v": 7, "fake": [7, 18, 23], "true_param": 7, "10000": [7, 19], "9000": 7, "true_s21": 7, "noise_scal": 7, "123": [7, 8], "measured_s21": 7, "ylabel": [7, 8, 22, 23, 30], "s21": 7, "db": 7, "xlabel": [7, 8, 22, 23, 30], "mhz": 7, "titl": [7, 30, 33], "simul": [7, 12, 16, 19], "00353535353536": 7, "00353535354105": 7, "99003": 7, "50000055433": 7, "3146": 7, "537781821432": 7, "5082": 7, "2474265369565": 7, "ed": 7, "08533642": 7, "3539e": 7, "1543": 7, "89425": 7, "1530": 7, "70099": 7, "5336e": 7, "000096": 7, "0309e": 7, "00": [7, 24], "0035": 7, "10059": 7, "4972": 7, "142": 7, "294636": 7, "538": 7, "9180": 7, "62017": 7, "133": 7, "777681": 7, "247": 7, "9137": 7, "03667": 7, "769692": 7, "5175": 7, "5151": 7, "5150": 7, "006e": 7, "9e": 7, "9181": 7, "031e": 7, "quantiti": [7, 31], "plot_ri": 7, "imag": [7, 21, 30], "fit_s21": 7, "guess_s21": 7, "im": 7, "774": [7, 24], "example_complex_resonator_model": [7, 24], "argsort": 8, "sign": [8, 14], "interp1d": 8, "argu": [8, 14], "p_true": [8, 14], "33": [8, 12, 17], "010": [8, 14], "250": [8, 14, 17, 22, 23], "2500": 8, "7215": 8, "fit_param": [8, 12, 14], "020": [8, 31], "fcn_kw": [8, 15, 26, 30], "1277": 8, "24638": 8, "51171730": 8, "1670": 8, "96059": 8, "1647": 8, "66441": 8, "0708269": 8, "04936878": 8, "35": 8, "32980958": 8, "00273143": 8, "12156317": 8, "00482312": 8, "01002489": 8, "0726e": 8, "8002": 8, "5758": 8, "tr": 8, "gridspec": 8, "sx": 8, "sy": 8, "sharex": [8, 9], "sharei": 8, "setp": 8, "get_xticklabel": 8, "visibl": 8, "get_yticklabel": 8, "autoscal": 8, "73": [8, 13, 19], "45": 8, "14795": 8, "09863": 8, "04934": 8, "07083": 8, "04939": 8, "09886": 8, "14847": 8, "00818": 8, "00546": 8, "00273": 8, "32981": 8, "00548": 8, "00822": 8, "01446": 8, "00964": 8, "00482": 8, "12156": 8, "00965": 8, "01449": 8, "00012": 8, "00008": 8, "00004": 8, "01002": 8, "indx": 8, "ticklabel_format": 8, "style": [8, 21, 33], "sci": 8, "scilimit": 8, "tick": 8, "mark": [8, 28, 33], "tick_param": 8, "labelleft": 8, "labelbottom": 8, "set_rot": 8, "pr": [8, 33], "30": [8, 9, 13, 19], "lw": 8, "slinear": 8, "xn": 8, "tight_layout": 8, "576": [8, 24, 33], "example_confidence_interv": [8, 24], "identifi": [9, 30], "influenc": [9, 26, 30], "datapoint": 9, "defaultdict": 9, "add_mani": [9, 22, 31], "idx": 9, "randint": [9, 17], "fit_result": 9, "plot_fit": [9, 18, 20, 23, 30], "1338": 9, "34458": 9, "6565773": 9, "263": 9, "401856": 9, "268": 9, "612196": 9, "70062332": 9, "08937623": 9, "00590174": 9, "60": [9, 12, 22], "51298991": 9, "46229147": 9, "55": [9, 13], "6008": 9, "lambda": 9, "zero": [9, 22, 26, 33], "chi_sq": 9, "zeros_lik": 9, "idx2": 9, "delet": 9, "tmp_x": 9, "tmp": 9, "tpar": 9, "red": 9, "fig": [9, 19, 30], "figsiz": [9, 19], "col": 9, "err": 9, "109": [9, 24], "example_detect_outli": [9, 24], "resid": [10, 12, 17, 22, 25, 26, 30], "ydata": [10, 17], "offset": [10, 17, 25], "y_model": [10, 17], "yn": [10, 17, 18], "450": 10, "o1": [10, 17], "65": [10, 13], "7961792": 10, "22470288": 10, "146": 10, "871969": 10, "136": 10, "411487": 10, "96333089": 10, "04735890": 10, "92": [10, 17], "98700839": 10, "02079709": 10, "52": [10, 11, 13], "80253587": 10, "19401928": 10, "76279753": 10, "04073348": 10, "06": 10, "7550": 10, "o2": [10, 17], "1425": 10, "96333133": 10, "98700854": 10, "80252619": 10, "76284507": 10, "diffev": 10, "421": [10, 24], "example_diffev": [10, 24], "builtin_model": 11, "201": 11, "cen": [11, 12, 30, 31], "gmod": 11, "_eval": 11, "01951689": 11, "8570e": 11, "1851": 11, "19580": 11, "1841": 11, "28588": 11, "99967271": 11, "40625133": 11, "00512077": 11, "80121155": 11, "6847e": 11, "50029616": 11, "6848e": 11, "5774": 11, "init_fit": [11, 30, 33], "best_fit": [11, 13, 16, 30], "267": [11, 24], "example_expression_model": [11, 24], "simultan": [12, 25], "flatten": [12, 25, 26], "interfac": [12, 21, 24, 27, 30], "gauss": [12, 22], "gauss_dataset": 12, "amp_": 12, "cen_": 12, "sig": 12, "sig_": 12, "ndata": [12, 26, 30], "_": [12, 26], "151": 12, "rand": [12, 19], "dat": 12, "append": [12, 22], "ii": 12, "sig_2": 12, "sig_5": 12, "sig_1": 12, "global": [12, 21, 24, 26, 28, 33], "amp_1": 12, "32742010": 12, "02279089": 12, "36": 12, "cen_1": 12, "68049261": 12, "00126458": 12, "25755570": 12, "9426e": 12, "amp_2": 12, "98604753": 12, "02296733": 12, "cen_2": 12, "50433700": 12, "00114536": 12, "amp_3": 12, "11643510": 12, "02300415": 12, "32": [12, 17], "cen_3": 12, "08260274": 12, "00112437": 12, "sig_3": 12, "amp_4": 12, "10197422": 12, "02273421": 12, "37": [12, 14, 19], "cen_4": 12, "07386098": 12, "00131130": 12, "78": 12, "sig_4": 12, "amp_5": 12, "23910555": 12, "02368872": 12, "cen_5": 12, "34443083": 12, "6605e": 12, "3742": 12, "2968": 12, "2919": 12, "2664": 12, "2575": 12, "1111": 12, "1092": 12, "y_fit": 12, "294": [12, 24], "example_fit_multi_dataset": [12, 24], "601": [13, 16], "g_": 13, "l_": 13, "line_": 13, "g_amplitud": 13, "g_center": 13, "g_sigma": 13, "line_slop": 13, "line_intercept": 13, "total_amplitud": 13, "l_amplitud": 13, "l_center": 13, "l_sigma": 13, "data_uncertainti": 13, "021": 13, "71878": 13, "3055": 13, "120": 13, "803875": 13, "2887": 13, "26503": 13, "2913": 13, "65660": 13, "1967107": 13, "1877635": 13, "32192128": 13, "11125903": 13, "01162987": 13, "20925819": 13, "01170853": 13, "41261441": 13, "61672968": 13, "61125903": 13, "41851637": 13, "02341707": 13, "04615727": 13, "00170178": 13, "69": 13, "05128584": 13, "02448063": 13, "47": 13, "g_fwhm": 13, "84758536": 13, "02757149": 13, "3548200": [13, 19], "g_height": 13, "98998378": 13, "05837066": 13, "84": [13, 23, 26], "3989423": 13, "1e": [13, 19, 20, 26], "l_fwhm": 13, "83703275": 13, "04683414": 13, "0000000": [13, 20], "l_height": 13, "23882905": 13, "08992735": 13, "3183099": [13, 20], "6003779": 13, "36481425": 13, "8662": 13, "7496": 13, "7144": 13, "6952": 13, "6227": 13, "6115": 13, "5883": 13, "4115": 13, "3868": 13, "1834": 13, "1825": 13, "1739": 13, "288": [13, 24], "example_fit_with_algebraic_constraint": [13, 24], "advantag": [14, 26, 30], "underli": [14, 26, 29, 30, 33], "4321": 14, "12345": 14, "1500": 14, "modelpar": [14, 26, 30], "correl_mod": [14, 26, 30, 33], "11301": 14, "3646": 14, "55438813": 14, "3037": 14, "18756": 14, "3058": 14, "44044": 14, "8904759": 14, "24410753": 14, "model_valu": 14, "44026387": 14, "01416106": 14, "12464389": 14, "02414210": 14, "00996363": 14, "0275e": 14, "0000": 14, "0700": 14, "0870": 14, "5757": 14, "7999": 14, "0404": 14, "0502": 14, "282": [14, 24], "example_fit_with_bound": [14, 24], "analyt": 15, "speed": 15, "procedur": 15, "dfunc": 15, "ones": [15, 33], "var": 15, "min1": 15, "out1": 15, "fit1": 15, "min2": 15, "out2": 15, "dfun": 15, "col_deriv": [15, 30], "fit2": 15, "comparison": [15, 25, 26, 30], "3f": [15, 23], "nfev": [15, 26, 30, 33], "4f": 15, "39": [15, 20], "0920": 15, "5635": 15, "3585": 15, "8241": 15, "270": [15, 24], "example_fit_with_derivfunc": [15, 24], "amp_g": 16, "cen_g": 16, "wid_g": 16, "amp_l": 16, "cen_l": 16, "wid_l": 16, "peak_split": 16, "pfit": 16, "2722842": 16, "05138772": 16, "10496396": 16, "00334613": 16, "21434954": 16, "00327317": 16, "46504173": 16, "05445415": 16, "58": [16, 19], "52163544": 16, "01004618": 16, "29": 16, "62659940": 16, "01066172": 16, "6199": 16, "3796": 16, "3445": 16, "2951": 16, "2761": 16, "1936": 16, "1651": 16, "1546": 16, "275": [16, 24], "example_fit_with_inequ": [16, 24], "reduce_fcn": [17, 26, 33], "scalar": [17, 25, 26, 28, 29, 31, 33], "negentropi": [17, 26], "neglogcauchi": [17, 26], "bfg": [17, 26, 33], "130": 17, "1674767": 17, "33162347": 17, "107": 17, "560626": 17, "1001440": 17, "10392444": 17, "97313428": 17, "69977040": 17, "65901653": 17, "5081340": 17, "34544468": 17, "103": 17, "436563": 17, "9760805": 17, "02005973": 17, "98224425": 17, "83231462": 17, "77327185": 17, "313": [17, 24], "example_reduce_fcn": [17, 24], "sympy_pars": 18, "gauss_peak1": 18, "parse_expr": 18, "xc1": 18, "gauss_peak2": 18, "xc2": 18, "exp_back": 18, "xw": 18, "model_list": 18, "lambdifi": 18, "model_list_func": 18, "free_symbol": 18, "model_func": 18, "40": 18, "param_valu": 18, "yi": 18, "lm_mod": 18, "nice": [18, 30], "substitut": [18, 28], "model2": [18, 25], "sub": [18, 30], "model2_func": 18, "param2_valu": 18, "res2": 18, "041": [18, 24], "example_sympi": [18, 24], "griddata": 19, "gaussian2d": 19, "experiment": [19, 22, 26, 33], "irregularli": 19, "npoint": 19, "onto": 19, "fill_valu": 19, "art": 19, "pcolor": 19, "shade": 19, "auto": [19, 26], "colorbar": 19, "20618": 19, "1774": 19, "06284916": 19, "7245": 19, "87992": 19, "7281": 19, "93162": 19, "28378389": 19, "4195833": 19, "65062974": 19, "51399": 19, "99705425": 19, "01405864": 19, "70": 19, "940764": 19, "49516158": 19, "01907800": 19, "5178641": 19, "54740777": 19, "01224965": 19, "666582": 19, "73300589": 19, "01617042": 19, "8332836": 19, "28904676": 19, "02884573": 19, "72609693": 19, "03807842": 19, "8758308": 19, "35409534": 19, "1591549": 19, "2464": 19, "2314": 19, "vmax": 19, "nanpercentil": 19, "vmin": 19, "set_titl": 19, "best_valu": [19, 30], "remov": [19, 22, 30, 31, 33], "harder": 19, "anisotrop": 19, "suitabl": 19, "lorentzian2d": 19, "rotat": 19, "occur": 19, "xp": 19, "yp": 19, "180": 19, "forget": [19, 29], "mind": [19, 25], "quarter": 19, "circl": 19, "argmax": [19, 23], "11287": 19, "3823": 19, "12941588": 19, "1223": 19, "00402": 19, "1266": 19, "26606": 19, "57742880": 19, "6417887": 19, "50569636": 19, "00326033": 19, "01163397": 19, "051478": 19, "49692376": 19, "01680902": 19, "38": 19, "478231": 19, "51074241": 19, "01027264": 19, "11741198": 19, "02190772": 19, "48130689": 19, "01542118": 19, "5767": 19, "3342": 19, "3046": 19, "055": [19, 24], "example_two_dimensional_peak": [19, 24], "read": [20, 28, 30, 31, 33], "element": [20, 26, 30, 33], "pd": 20, "dframe": 20, "read_csv": 20, "csv": 20, "0737250": 20, "13340536": 20, "496119": 20, "650757": 20, "98351484": 20, "1530621": 20, "62389897": 20, "59": 20, "7825": 20, "22379948": 20, "01835867": 20, "15503770": 20, "02603721": 20, "31007541": 20, "05207442": 20, "7899571": 20, "17160652": 20, "7087": 20, "290": [20, 24], "example_use_panda": [20, 24], "guid": 21, "guidelin": 21, "yet": 21, "datafram": [21, 24, 26], "differential_evolut": [21, 22, 24, 26, 28, 33], "sympi": [21, 24, 28, 33], "jacobian": [21, 24, 25, 26, 30, 33], "detect": [21, 24, 33], "via": [21, 24, 26], "reson": [21, 24], "brute": [21, 24, 26, 28, 31, 33], "examples_python": 21, "zip": 21, "examples_jupyt": 21, "correctli": [22, 26, 28, 30, 33], "anymor": [22, 33], "ptsampler": [22, 33], "v3": 22, "a_max": 22, "loc": 22, "sd": 22, "dy": 22, "errorbar": [22, 26, 30, 33], "normalis": 22, "just_gen": 22, "initial_peak_param": 22, "solv": [22, 26, 30, 32], "p1": 22, "mi1": 22, "min_correl": [22, 26, 30], "prior": [22, 23, 26, 28, 30], "encod": [22, 26, 30, 33], "believ": [22, 26], "system": 22, "lnprob": [22, 23, 26], "burn": [22, 23, 26], "contribut": [22, 28, 33], "higher": [22, 28, 33], "thermodynamic_integration_log_evid": 22, "sampler": [22, 26], "evid": 22, "total_step": 22, "310": 22, "thin": [22, 23, 26], "ntemp": [22, 26], "worker": [22, 26], "multiprocess": [22, 26], "log_evid": 22, "p0": 22, "userfcn": [22, 26], "maximis": 22, "reuse_sampl": [22, 26], "float_behavior": [22, 26], "progress": [22, 23, 26, 27], "onc": [22, 27], "ve": 22, "autocorrel": [22, 23, 26], "success": [22, 25, 26, 30, 33], "bay": 22, "r01": 22, "r12": 22, "r23": 22, "u": [22, 30], "7e49": 22, "improp": 22, "lnprior": 22, "alon": 22, "rememb": [22, 33], "prod_i": 22, "max_i": 22, "min_i": 22, "000": [22, 23, 24], "lmfit_emcee_model_select": [22, 24], "double_exp": 23, "truth": 23, "tradit": [23, 26, 29], "walker": [23, 26], "is_weight": [23, 26], "sensibl": [23, 25, 26], "emcee_kw": 23, "5000": 23, "emcee_param": 23, "__lnsigma": [23, 26], "001": [23, 25], "result_emce": 23, "fit_kw": [23, 26, 30], "acceptance_fract": [23, 26, 33], "hasattr": 23, "acor": [23, 26, 33], "emcee_corn": 23, "flatchain": [23, 26, 30], "nmedian": 23, "highest_prob": 23, "hp_loc": 23, "unravel_index": 23, "mle_soln": 23, "nmaximum": 23, "mle": [23, 26], "ix": 23, "percentil": [23, 26], "n1": 23, "spread": 23, "nodoc_example_emcee_model_interfac": [23, 24], "054": 24, "execut": [24, 26], "mb": 24, "widget": 25, "dropdown": 25, "importerror": 25, "No": [25, 26], "ipywidget": 25, "routin": [25, 26, 30, 31, 33], "calculate_multidim_residu": 25, "bonu": 25, "fit_funct": 25, "dat1": 25, "dat2": 25, "model1": 25, "slope1": 25, "slope2": 25, "resid1": 25, "resid2": 25, "calculate_complex_residu": 25, "vector": 25, "prescript": 25, "benefit": [25, 30], "awar": 25, "dx": 25, "doi": 25, "5281": 25, "zenodo": 25, "11813": 25, "solver": [25, 26, 28, 29, 30, 33], "signal": 25, "stop": [25, 26], "meant": [25, 30, 33], "intent": [25, 30], "spite": 25, "elimin": [25, 33], "suspicion": 25, "infin": 25, "greater": [25, 26], "e308": 25, "ruin": 25, "abil": [25, 30], "won": 25, "clip": 25, "unless": [25, 26], "0e": 25, "sphx_glr_examples_documentation_model_gaussian": 25, "bad": [25, 26], "turn": [25, 26, 27, 30], "link": 25, "short": [25, 26], "treat": [25, 26, 30], "somehow": 25, "integ": [25, 26, 30, 31, 33], "breakpoint": 25, "quad": 25, "bx": 25, "gentl": 25, "sigmoid": 25, "gentli": 25, "leak": 25, "neighbor": 25, "amount": [25, 26, 33], "leakag": 25, "adjust": [25, 30, 33], "modif": [25, 28], "shorten": 25, "sharper": 25, "sophist": 26, "gain": [26, 31], "fcn": 26, "iter_cb": [26, 30, 33], "scale_covar": [26, 30], "calc_covar": [26, 30], "max_nfev": [26, 30, 33], "least_squar": [26, 30, 33], "trust": 26, "differenti": [26, 33], "evolut": [26, 33], "basinhop": [26, 33], "ampgo": [26, 28, 33], "adapt": [26, 28, 33], "memori": [26, 33], "program": [26, 33], "lbfgsb": [26, 33], "powel": 26, "cg": 26, "conjug": 26, "gradient": 26, "newton": 26, "cobyla": 26, "tnc": 26, "truncat": 26, "ncg": 26, "krylov": 26, "gltr": 26, "constr": 26, "dogleg": 26, "dog": 26, "leg": 26, "slsqp": 26, "sequenti": 26, "shgo": [26, 33], "simplici": 26, "homologi": 26, "dual_ann": [26, 33], "dual": 26, "anneal": 26, "action": 26, "un": 26, "alter": [26, 29, 30, 33], "filter": 26, "sent": [26, 30], "unchang": [26, 29, 30, 31], "appropri": [26, 30], "stringent": 26, "principl": 26, "advis": [26, 28], "unpack": [26, 31], "divid": [26, 30], "wise": 26, "ensur": [26, 30], "critic": 26, "local": [26, 33], "fast": 26, "bfgsb": 26, "ooptim": 26, "uncondition": 26, "newer": [26, 33], "piec": 26, "statu": 26, "messag": [26, 30, 33], "themselv": 26, "importantli": [26, 29, 30, 33], "termin": 26, "Its": 26, "init_v": 26, "covar": [26, 30, 33], "row": 26, "init_valu": [26, 30, 31], "succeed": [26, 30], "call_kw": [26, 30, 33], "ier": [26, 30], "lmdif_messag": [26, 30], "nvari": [26, 30], "n_": 26, "nfree": [26, 30], "resid_i": 26, "sum_i": [26, 29, 30], "_i": [26, 29], "redchi": [26, 30], "criterion": [26, 30], "bic": [26, 30], "descript": [26, 28, 33], "formula": 26, "meaning": [26, 29], "person": 26, "successfulli": 26, "bar": [26, 30], "singular": 26, "imposs": 26, "r_i": 26, "balanc": 26, "conserv": 26, "mention": [26, 30], "invert": 26, "hessian": 26, "situat": 26, "sensit": [26, 30], "ti": 26, "extent": 26, "unfortun": 26, "rescal": 26, "harm": 26, "inde": 26, "eccentr": 26, "experi": 26, "thorough": 26, "inpar": 26, "show_correl": [26, 30], "sort_par": [26, 30], "smallest": [26, 30], "absolut": [26, 30], "alphanumer": [26, 30], "mode": [26, 30, 33], "printout": 26, "abort": [26, 30, 33], "flag": [26, 30], "entropi": 26, "rho": 26, "public": 26, "2000": 26, "nvar": [26, 33], "scalar_minim": 26, "tol": 26, "toler": 26, "hess": 26, "design": 26, "prepare_fit": 26, "prepar": 26, "subsequ": 26, "convers": [26, 32, 33], "organ": [26, 30], "full_output": 26, "finish": 26, "polish": 26, "disp": 26, "parallel": [26, 33], "200000": 26, "fval": 26, "attr": 26, "wherea": [26, 31], "lmfit_brute_exampl": 26, "multivari": 26, "stand": 26, "effici": 26, "totalit": 26, "local_opt": 26, "maxfunev": 26, "tabu": 26, "tunnel": 26, "glbtol": 26, "eps1": 26, "aspir": 26, "eps2": 26, "perturb": 26, "move": [26, 33], "latest": [26, 28, 33], "tabulists": 26, "circular": 26, "tabustrategi": 26, "farthest": 26, "oldest": 26, "strategi": 26, "defauilt": 26, "msg": 26, "ampgo_": 26, "written": [26, 28, 31, 33], "andrea": [26, 28, 33], "gavana": [26, 28, 33], "infinity77": 26, "net": 26, "global_optim": 26, "paper": [26, 33], "leed": 26, "faculti": 26, "colorado": 26, "glover": 26, "fred": 26, "20pub": 26, "416": 26, "20amp": 26, "20for": 26, "20constrain": 26, "20global": 26, "20opt": 26, "20w": 26, "20lasdon": 26, "20et": 26, "20al": 26, "xl": 26, "fun": 26, "funl": 26, "nit": 26, "nlfev": 26, "nlhev": 26, "nljev": 26, "shgo_": 26, "nhev": 26, "njev": 26, "da_": 26, "nwalker": 26, "po": 26, "run_mcmc_kwarg": [26, 33], "draw": 26, "member": 26, "ensembl": 26, "metropoli": 26, "hast": 26, "propos": 26, "webpag": 26, "discard": 26, "regim": 26, "initialis": 26, "histori": 26, "exist": [26, 28], "pool": [26, 33], "sequenc": [26, 30, 31], "spawn": 26, "mpi4pi": 26, "joblib": 26, "overhead": 26, "worth": 26, "parallelis": 26, "expens": 26, "unweight": 26, "emploi": 26, "side": [26, 33], "yourself": [26, 30], "randomst": 26, "consol": 26, "ensemblesampl": [26, 33], "run_mcmc": [26, 33], "etc": [26, 30], "f_": 26, "propto": 26, "insid": 26, "sum_n": 26, "g_n": 26, "d_n": 26, "s_n": 26, "wish": 26, "possibli": [26, 30], "strictli": [26, 30], "homoscedast": 26, "_lnsigma": 26, "readthedoc": 26, "goal": [26, 33], "refin": [26, 30, 33], "thoroughli": 26, "therebi": 26, "graph": 26, "face": 26, "marginalis": 26, "tqdm": 26, "went": [26, 30], "rule": 26, "thumb": 26, "recov": [26, 31], "perfectli": 26, "faster": 26, "invalid": [26, 30], "extend": [27, 30], "enhanc": [27, 33], "eas": 27, "accuraci": 27, "address": 27, "curve_fit": [27, 30], "readi": 27, "softwar": [27, 28, 30], "particip": [27, 28], "effort": [27, 30, 33], "repositori": [27, 28, 33], "readili": 28, "pypi": [28, 33], "pytest": [28, 33], "cov": 28, "flaki": [28, 33], "dill": [28, 30], "jupyter_sphinx": 28, "ipykernel": 28, "pillow": 28, "sphinxcontrib": 28, "svg2pdfconvert": 28, "cairosvg": 28, "latex": 28, "latexmk": 28, "setup": [28, 33], "cfg": [28, 33], "extras_requir": 28, "subset": 28, "dev": 28, "origin": [28, 30], "shim": 28, "setuptool": 28, "legaci": 28, "command": 28, "earlier": 28, "easiest": [28, 31], "anaconda": 28, "offici": [28, 33], "channel": 28, "conda": 28, "forg": 28, "git": 28, "clone": 28, "wheel": 28, "welcom": 28, "md": 28, "instruct": [28, 33], "batteri": 28, "framework": [28, 33], "master": 28, "branch": 28, "failur": [28, 33], "peopl": [28, 29], "credit": 28, "project": [28, 33], "doubt": 28, "largest": 28, "matthew": [28, 33], "newvil": [28, 33], "wrote": 28, "rene": 28, "otten": 28, "basin": 28, "hop": 28, "till": 28, "stensitzki": 28, "nelson": 28, "docstr": [28, 33], "antonino": 28, "ingargiola": 28, "daniel": 28, "allan": 28, "austen": 28, "fox": 28, "michal": 28, "rawlik": 28, "bigot": 28, "year": 28, "extern": [28, 29, 33], "came": 28, "excel": [28, 30], "astro": [28, 30], "rug": [28, 30], "nl": [28, 30], "kapteyn": [28, 30], "kmpfittutori": [28, 30], "wolberg": [28, 30], "2006": [28, 30], "springer": [28, 30], "patch": 28, "faustin": 28, "carter": 28, "christoph": 28, "deil": 28, "francoi": 28, "boulogn": 28, "thoma": 28, "caswel": 28, "colin": 28, "brosseau": 28, "nmearl": 28, "gustavo": 28, "pasquevich": 28, "clemen": 28, "prescher": 28, "licod": 28, "ben": 28, "gamari": 28, "yoav": 28, "roam": 28, "alexand": 28, "stark": 28, "alexandr": 28, "beelen": 28, "andrei": 28, "aristov": 28, "nichola": 28, "zobrist": 28, "ethan": 28, "welti": 28, "juliu": 28, "zimmermann": [28, 33], "dean": 28, "arun": 28, "persaud": 28, "rai": 28, "osborn": 28, "lneuhau": [28, 33], "marcel": 28, "stimberg": 28, "yoshiera": 28, "huang": 28, "leon": 28, "fok": 28, "sebastian": 28, "weigand": [28, 33], "florian": 28, "lb": 28, "michael": 28, "hudson": 28, "doyl": 28, "ruben": 28, "verweij": 28, "jedzill4": [28, 33], "spalato": 28, "jen": 28, "hedegaard": 28, "nielsen": 28, "martin": [28, 33], "majli": [28, 33], "kristian": 28, "meyer": 28, "azelc": [28, 33], "ivan": [28, 33], "usov": 28, "ow": 28, "debt": 28, "mail": [28, 32], "led": 28, "bsd": [28, 33], "univers": 28, "chicago": 28, "brandei": 28, "freie": 28, "universitat": 28, "berlin": 28, "australian": 28, "nuclear": 28, "scienc": 28, "technologi": 28, "organis": 28, "california": 28, "lo": 28, "angel": 28, "allen": 28, "john": 28, "hopkin": 28, "eidgenossisch": 28, "technisch": 28, "hochschul": 28, "zurich": 28, "redistribut": 28, "binari": [28, 30], "permit": [28, 30], "met": 28, "disclaim": 28, "reproduc": 28, "materi": 28, "holder": 28, "nor": 28, "contributor": 28, "endors": 28, "promot": 28, "product": 28, "permiss": 28, "BY": 28, "THE": 28, "AND": 28, "AS": 28, "OR": 28, "warranti": 28, "BUT": 28, "NOT": [28, 33], "TO": 28, "OF": 28, "merchant": 28, "FOR": 28, "IN": 28, "NO": 28, "event": 28, "shall": 28, "BE": 28, "liabl": 28, "indirect": 28, "incident": 28, "exemplari": 28, "consequenti": 28, "damag": 28, "procur": 28, "servic": 28, "profit": 28, "busi": 28, "interrupt": 28, "ON": 28, "liabil": 28, "contract": 28, "strict": 28, "tort": 28, "neglig": 28, "aris": 28, "IF": 28, "SUCH": 28, "whose": 28, "licenc": 28, "2001": 28, "2002": 28, "enthought": 28, "inc": 28, "reserv": [28, 31], "2003": 28, "2019": 28, "mit": 28, "concept": [29, 31], "knowledg": 29, "aim": 29, "task": 29, "invers": 29, "mea": 29, "y_i": [29, 30], "bf": 29, "epsilon_i": 29, "concret": 29, "wonder": 29, "terribli": 29, "fortran": 29, "track": [29, 33], "although": 29, "intrins": 29, "intim": 29, "relationship": 29, "pain": 29, "opaqu": 29, "shortcom": 29, "rich": [29, 30], "worri": 29, "preserv": [29, 30, 33], "At": 29, "creation": [29, 30], "act": 29, "phenomenon": [29, 30, 31], "author": 29, "phenomena": 30, "beyond": 30, "canon": 30, "consult": [30, 33], "focu": 30, "gmodel": 30, "idea": [30, 32], "associ": 30, "admittedli": 30, "wind": 30, "everyth": 30, "compact": 30, "blue": 30, "solid": 30, "green": 30, "orang": 30, "param_nam": 30, "discov": 30, "array_lik": 30, "encount": 30, "mix": [30, 33], "my_model": 30, "Or": 30, "notimplementederror": 30, "is_init_valu": [30, 31], "peak_": 30, "bkg_": 30, "peak_cent": 30, "3200": 30, "bkg_offset": 30, "bkg_slope": 30, "peak_amplitdu": 30, "peak_sigma": 30, "print_param_hint": 30, "colwidth": [30, 31], "opt": 30, "param_hint": 30, "mangl": 30, "g1_": 30, "g1_amplitud": 30, "g1_center": 30, "g1_sigma": 30, "avoid": [30, 33], "collis": [30, 33], "saw": 30, "check_posit": 30, "boolean": 30, "decor": 30, "f1_amplitud": 30, "forth": [30, 31], "myfunc": 30, "overwrit": [30, 33], "opportun": 30, "ideal": 30, "nest": 30, "exclus": [30, 31], "datatyp": 30, "float64": [30, 33], "coerc": [30, 33], "complex128": [30, 33], "float32": 30, "truli": 30, "dimenson": 30, "primari": 30, "uint16": 30, "save_model": 30, "companion": 30, "load_model": 30, "reconstruct": 30, "issu": [30, 32, 33], "serial": [30, 31], "heart": 30, "usabl": 30, "emphas": 30, "willing": 30, "funcdef": 30, "across": 30, "archiv": [30, 32], "strongli": 30, "fname": 30, "modelfit": 30, "encapsul": 30, "messier": 30, "send": 30, "fcn_dict": 30, "eval_compon": 30, "printabl": 30, "rsquar": [30, 33], "ci_out": 30, "user_opt": 30, "state": [30, 33], "user_data": [30, 31, 33], "serializ": 30, "json": [30, 31, 33], "recalcul": [30, 33], "eval_uncertainti": [30, 33], "band": 30, "deli": [30, 33], "dely_comp": 30, "fill_between": 30, "888888": 30, "datafmt": 30, "fitfmt": 30, "initfmt": 30, "yerr": 30, "numpoint": 30, "data_kw": 30, "init_kw": 30, "ax_res_kw": 30, "ax_fit_kw": 30, "fig_kw": 30, "show_init": 30, "parse_complex": 30, "produc": 30, "angl": 30, "plot_residu": 30, "ax_kw": 30, "gca": 30, "init_param": [30, 33], "jacfcn": 30, "statis": 30, "f_i": 30, "userarg": 30, "userkw": [30, 33], "save_modelresult": 30, "load_modelresult": 30, "restor": [30, 33], "redo": 30, "whole": 30, "mayb": 30, "unalt": 30, "finer": 30, "coarser": 30, "extrapol": 30, "op": 30, "fcn1": 30, "fcn2": 30, "fcn3": 30, "mul": 30, "convolv": 30, "convolut": 30, "kernel": 30, "techniqu": 30, "testabl": 30, "live": 31, "core": [31, 33], "expand": 31, "group": 31, "central": 31, "interact": 31, "404": 31, "102": 31, "math": 31, "empti": 31, "lift": 31, "usersym": [31, 33], "z_": 31, "z0": 31, "9_": 31, "word": 31, "pickl": [31, 33], "xvar": 31, "yvar": 31, "parlist": 31, "par_f": 31, "par_g": 31, "onelin": 31, "fmt": 31, "charact": 31, "formatt": 31, "dump": [31, 33], "fp": 31, "recogniz": 31, "stylist": 31, "comment": 32, "web": 32, "pull": 32, "request": 32, "unsur": 32, "tracker": 32, "didn": 32, "engag": 32, "comprehens": 33, "record": 33, "int64": 33, "871": 33, "maxfun": 33, "864": 33, "865": 33, "866": 33, "844": 33, "correl_t": 33, "rst": 33, "859": 33, "860": 33, "propat": 33, "855": 33, "856": 33, "aggress": 33, "850": 33, "853": 33, "epsfcn": 33, "848": 33, "852": 33, "older": 33, "845": 33, "mguhyo": 33, "837": 33, "842": 33, "839": 33, "830": 33, "complexconstantmodel": 33, "jeppeklitgaard": 33, "840": 33, "841": 33, "typo": 33, "commit": 33, "hook": 33, "lellid": 33, "804": 33, "803": 33, "810": 33, "761": 33, "826": 33, "spercent": 33, "params_html_t": 33, "myslientwind": 33, "768": 33, "770": 33, "marc": 33, "pound": 33, "771": 33, "pep517": 33, "pep518": 33, "pyproject": 33, "toml": 33, "777": 33, "julian": 33, "hochhau": 33, "787": 33, "788": 33, "consist": 33, "matpompili": 33, "794": 33, "795": 33, "diagon": 33, "813": 33, "arunpersaud": 33, "815": 33, "816": 33, "820": 33, "821": 33, "jagerber48": 33, "798": 33, "mac01021": 33, "against": 33, "832": 33, "reach": 33, "eol": 33, "790": 33, "potenti": 33, "747": 33, "748": 33, "711": 33, "jenshnielsen": 33, "719": 33, "indepdent_var": 33, "723": 33, "728": 33, "710": 33, "732": 33, "kremey": 33, "737": 33, "739": 33, "740": 33, "giammar": 33, "749": 33, "olivi": 33, "versu": 33, "751": 33, "andr\u00e9": 33, "zelcer": 33, "684": 33, "754": 33, "dho": 33, "755": 33, "rayosborn": 33, "_abort": 33, "756": 33, "757": 33, "guess_from_peak2d": 33, "usovl": 33, "758": 33, "deprecationwarn": 33, "v1": 33, "707": 33, "incorrectli": 33, "spell": 33, "donaichmodel": 33, "donaich": 33, "occurr": 33, "ordereddict": 33, "throughout": 33, "713": 33, "718": 33, "defer": 33, "zobristnichola": 33, "721": 33, "kristianmeyerr": 33, "725": 33, "environ": 33, "window": 33, "712": 33, "setuptools_scm": 33, "729": 33, "730": 33, "test_manypeaks_spe": 33, "intermitt": 33, "745": 33, "resolut": 33, "753": 33, "759": 33, "642": 33, "mpmdean": 33, "regist": 33, "lmfit_model": 33, "valid_form": 33, "663": 33, "676": 33, "694": 33, "rbnvrw": 33, "646": 33, "644": 33, "645": 33, "yoshierahuang": 33, "655": 33, "657": 33, "helper": 33, "not_zero": 33, "zerodivisionerror": 33, "631": 33, "664": 33, "last_internal_valu": 33, "667": 33, "byte": 33, "677": 33, "678": 33, "leonfok": 33, "681": 33, "mstimberg": 33, "696": 33, "assur": 33, "706": 33, "688": 33, "693": 33, "coverag": 33, "647": 33, "649": 33, "650": 33, "653": 33, "654": 33, "685": 33, "668": 33, "689": 33, "658": 33, "flothesof": 33, "662": 33, "666": 33, "670": 33, "cross": 33, "platform": 33, "673": 33, "relax": 33, "test_check_ast_error": 33, "674": 33, "675": 33, "mwhudson": 33, "layout": 33, "sphinx13": 33, "theme": 33, "687": 33, "699": 33, "tini": 33, "701": 33, "everywher": 33, "azur": 33, "pipelin": 33, "travi": 33, "702": 33, "620": 33, "introduc": 33, "uniformli": 33, "610": 33, "maxfev": 33, "emit": 33, "__setstate__": 33, "611": 33, "623": 33, "guess_from_peak": 33, "decreas": 33, "627": 33, "629": 33, "636": 33, "637": 33, "jkrogag": 33, "py2": 33, "compat": 33, "619": 33, "633": 33, "isparamet": 33, "626": 33, "inaccur": 33, "616": 33, "630": 33, "mistak": 33, "634": 33, "untest": 33, "ui": 33, "six": 33, "612": 33, "clarifi": 33, "614": 33, "setter": 33, "getter": 33, "587": 33, "588": 33, "ezwelti": 33, "589": 33, "593": 33, "595": 33, "count": 33, "597": 33, "598": 33, "599": 33, "600": 33, "refactor": 33, "prob_bunc": 33, "604": 33, "607": 33, "608": 33, "gbouvigni": 33, "bump": 33, "lt": 33, "clean": 33, "591": 33, "596": 33, "configur": 33, "_getval": 33, "527": 33, "545": 33, "556": 33, "550": 33, "552": 33, "aaristov": 33, "559": 33, "564": 33, "549": 33, "guard": 33, "divis": 33, "553": 33, "554": 33, "558": 33, "560": 33, "561": 33, "567": 33, "569": 33, "py3": 33, "570": 33, "578": 33, "579": 33, "565": 33, "573": 33, "575": 33, "574": 33, "583": 33, "572": 33, "585": 33, "586": 33, "584": 33, "clearer": 33, "examin": 33, "521": 33, "543": 33, "splitlorenztianmodel": 33, "split_lorentzian": 33, "523": 33, "524": 33, "548": 33, "526": 33, "delai": 33, "backend": 33, "late": 33, "528": 33, "529": 33, "reload": 33, "534": 33, "tri": 33, "535": 33, "536": 33, "synchron": 33, "539": 33, "542": 33, "outdat": 33, "540": 33, "edg": 33, "gformat": 33, "547": 33, "manag": 33, "533": 33, "page": 33, "templat": 33, "493": 33, "503": 33, "492": 33, "507": 33, "506": 33, "512": 33, "example_emcee_with_model": 33, "flush": 33, "486": 33, "max_tim": 33, "hour": 33, "489": 33, "491": 33, "497": 33, "496": 33, "499": 33, "504": 33, "514": 33, "explan": 33, "lebigot": 33, "fork": 33, "abortfitexcept": 33, "bugfix": 33, "mainten": 33, "cost": 33, "api": 33, "cleanup": 33, "nose": 33, "simpler": 33, "slowdown": 33, "asv": 33, "benchmark": 33, "backward": 33, "vice": 33, "versa": 33, "lightli": 33, "ampl": 33, "my_par": 33, "objfunc": 33, "result1": 33, "result2": 33, "undesir": 33, "cumbersom": 33}, "objects": {"lmfit": [[2, 0, 1, "", "ci_report"], [2, 0, 1, "", "conf_interval"], [2, 0, 1, "", "conf_interval2d"], [2, 1, 0, "-", "confidence"], [26, 1, 0, "-", "minimizer"], [30, 1, 0, "-", "model"], [1, 1, 0, "-", "models"], [31, 1, 0, "-", "parameter"]], "lmfit.minimizer": [[26, 2, 1, "", "Minimizer"], [26, 2, 1, "", "MinimizerResult"], [26, 0, 1, "", "minimize"]], "lmfit.minimizer.Minimizer": [[26, 3, 1, "", "ampgo"], [26, 3, 1, "", "basinhopping"], [26, 3, 1, "", "brute"], [26, 3, 1, "", "dual_annealing"], [26, 3, 1, "", "emcee"], [26, 3, 1, "", "least_squares"], [26, 3, 1, "", "leastsq"], [26, 3, 1, "", "minimize"], [26, 3, 1, "", "prepare_fit"], [26, 3, 1, "", "scalar_minimize"], [26, 3, 1, "", "shgo"]], "lmfit.minimizer.MinimizerResult": [[26, 4, 1, "", "aic"], [26, 4, 1, "", "bic"], [26, 4, 1, "", "call_kws"], [26, 4, 1, "", "chisqr"], [26, 4, 1, "", "covar"], [26, 4, 1, "", "errorbars"], [26, 4, 1, "", "flatchain"], [26, 4, 1, "", "ier"], [26, 4, 1, "", "init_vals"], [26, 4, 1, "", "init_values"], [26, 4, 1, "", "lmdif_message"], [26, 4, 1, "", "message"], [26, 4, 1, "", "ndata"], [26, 4, 1, "", "nfev"], [26, 4, 1, "", "nfree"], [26, 4, 1, "", "nvarys"], [26, 4, 1, "", "params"], [26, 4, 1, "", "redchi"], [26, 4, 1, "", "residual"], [26, 3, 1, "", "show_candidates"], [26, 4, 1, "", "status"], [26, 4, 1, "", "success"], [26, 4, 1, "", "var_names"]], "lmfit.model": [[30, 2, 1, "", "CompositeModel"], [30, 2, 1, "", "Model"], [30, 2, 1, "", "ModelResult"], [30, 4, 1, "", "aic"], [30, 4, 1, "", "best_fit"], [30, 4, 1, "", "best_values"], [30, 4, 1, "", "bic"], [30, 4, 1, "", "call_kws"], [30, 4, 1, "", "chisqr"], [30, 4, 1, "", "ci_out"], [30, 4, 1, "", "covar"], [30, 4, 1, "", "data"], [30, 4, 1, "", "dely"], [30, 4, 1, "", "dely_comps"], [30, 4, 1, "", "errorbars"], [30, 4, 1, "", "func"], [30, 4, 1, "", "ier"], [30, 4, 1, "", "independent_vars"], [30, 4, 1, "", "init_fit"], [30, 4, 1, "", "init_params"], [30, 4, 1, "", "init_values"], [30, 4, 1, "", "iter_cb"], [30, 4, 1, "", "jacfcn"], [30, 4, 1, "", "lmdif_message"], [30, 0, 1, "", "load_model"], [30, 0, 1, "", "load_modelresult"], [30, 4, 1, "", "message"], [30, 4, 1, "", "method"], [30, 4, 1, "", "model"], [30, 4, 1, "", "name"], [30, 4, 1, "", "nan_policy"], [30, 4, 1, "", "ndata"], [30, 4, 1, "", "nfev"], [30, 4, 1, "", "nfree"], [30, 4, 1, "", "nvarys"], [30, 4, 1, "", "opts"], [30, 4, 1, "", "param_hints"], [30, 4, 1, "", "param_names"], [30, 4, 1, "", "params"], [30, 4, 1, "", "prefix"], [30, 4, 1, "", "redchi"], [30, 4, 1, "", "residual"], [30, 4, 1, "", "rsquared"], [30, 0, 1, "", "save_model"], [30, 0, 1, "", "save_modelresult"], [30, 4, 1, "", "scale_covar"], [30, 4, 1, "", "success"], [30, 4, 1, "", "userargs"], [30, 4, 1, "", "userkws"], [30, 4, 1, "", "weights"]], "lmfit.model.Model": [[30, 3, 1, "", "eval"], [30, 3, 1, "", "fit"], [30, 3, 1, "", "guess"], [30, 3, 1, "", "make_params"], [30, 3, 1, "", "print_param_hints"], [30, 3, 1, "", "set_param_hint"]], "lmfit.model.ModelResult": [[30, 3, 1, "", "ci_report"], [30, 3, 1, "", "conf_interval"], [30, 3, 1, "", "eval"], [30, 3, 1, "", "eval_components"], [30, 3, 1, "", "eval_uncertainty"], [30, 3, 1, "", "fit"], [30, 3, 1, "", "fit_report"], [30, 3, 1, "", "plot"], [30, 3, 1, "", "plot_fit"], [30, 3, 1, "", "plot_residuals"], [30, 3, 1, "", "summary"]], "lmfit.models": [[1, 2, 1, "", "BreitWignerModel"], [1, 2, 1, "", "ConstantModel"], [1, 2, 1, "", "DampedHarmonicOscillatorModel"], [1, 2, 1, "", "DampedOscillatorModel"], [1, 2, 1, "", "DoniachModel"], [1, 2, 1, "", "ExponentialGaussianModel"], [1, 2, 1, "", "ExponentialModel"], [1, 2, 1, "", "ExpressionModel"], [1, 2, 1, "", "Gaussian2dModel"], [1, 2, 1, "", "GaussianModel"], [1, 2, 1, "", "LinearModel"], [1, 2, 1, "", "LognormalModel"], [1, 2, 1, "", "LorentzianModel"], [1, 2, 1, "", "MoffatModel"], [1, 2, 1, "", "Pearson4Model"], [1, 2, 1, "", "Pearson7Model"], [1, 2, 1, "", "PolynomialModel"], [1, 2, 1, "", "PowerLawModel"], [1, 2, 1, "", "PseudoVoigtModel"], [1, 2, 1, "", "QuadraticModel"], [1, 2, 1, "", "RectangleModel"], [1, 2, 1, "", "SineModel"], [1, 2, 1, "", "SkewedGaussianModel"], [1, 2, 1, "", "SkewedVoigtModel"], [1, 2, 1, "", "SplineModel"], [1, 2, 1, "", "SplitLorentzianModel"], [1, 2, 1, "", "StepModel"], [1, 2, 1, "", "StudentsTModel"], [1, 2, 1, "", "ThermalDistributionModel"], [1, 2, 1, "", "VoigtModel"]], "lmfit.parameter": [[31, 2, 1, "", "Parameter"], [31, 2, 1, "", "Parameters"], [31, 0, 1, "", "create_params"]], "lmfit.parameter.Parameter": [[31, 4, 1, "", "correl"], [31, 3, 1, "", "set"], [31, 4, 1, "", "stderr"]], "lmfit.parameter.Parameters": [[31, 3, 1, "", "add"], [31, 3, 1, "", "add_many"], [31, 3, 1, "", "dump"], [31, 3, 1, "", "dumps"], [31, 3, 1, "", "eval"], [31, 3, 1, "", "load"], [31, 3, 1, "", "loads"], [31, 3, 1, "", "pretty_print"], [31, 3, 1, "", "valuesdict"]], "lmfit.printfuncs": [[26, 0, 1, "", "fit_report"]]}, "objtypes": {"0": "py:function", "1": "py:module", "2": "py:class", "3": "py:method", "4": "py:attribute"}, "objnames": {"0": ["py", "function", "Python function"], "1": ["py", "module", "Python module"], "2": ["py", "class", "Python class"], "3": ["py", "method", "Python method"], "4": ["py", "attribute", "Python attribute"]}, "titleterms": {"bound": [0, 14], "implement": 0, "built": 1, "fit": [1, 5, 10, 12, 13, 14, 15, 16, 17, 19, 20, 25, 26, 27, 29, 30], "model": [1, 5, 7, 18, 22, 23, 30], "modul": 1, "peak": [1, 19], "like": 1, "gaussianmodel": 1, "lorentzianmodel": 1, "splitlorentzianmodel": 1, "voigtmodel": 1, "pseudovoigtmodel": 1, "moffatmodel": 1, "pearson4model": 1, "pearson7model": 1, "studentstmodel": 1, "breitwignermodel": 1, "lognormalmodel": 1, "dampedoscillatormodel": 1, "dampedharmonicoscillatormodel": 1, "exponentialgaussianmodel": 1, "skewedgaussianmodel": 1, "skewedvoigtmodel": 1, "thermaldistributionmodel": 1, "doniachmodel": 1, "linear": [1, 27, 29], "polynomi": 1, "constantmodel": 1, "linearmodel": 1, "quadraticmodel": 1, "polynomialmodel": 1, "splinelmodel": 1, "period": 1, "sinemodel": 1, "step": 1, "stepmodel": 1, "rectanglemodel": 1, "exponenti": 1, "power": 1, "law": 1, "exponentialmodel": 1, "powerlawmodel": 1, "two": [1, 19], "dimension": [1, 19, 25], "gaussian2dmodel": 1, "user": 1, "defin": [1, 30], "expressionmodel": [1, 11], "exampl": [1, 2, 21, 30, 31], "1": [1, 33], "data": [1, 12, 20, 25, 30], "gaussian": [1, 19, 30], "lorentzian": [1, 19], "voigt": 1, "profil": [1, 30], "2": [1, 2, 33], "composit": [1, 30], "pre": 1, "3": [1, 25, 33], "multipl": [1, 12, 25], "us": [1, 2, 3, 5, 6, 10, 11, 14, 16, 22, 25, 26, 30], "prefix": [1, 30], "4": [1, 33], "spline": 1, "calcul": [2, 8, 26, 30], "confid": [2, 8], "interv": [2, 8], "method": [2, 6, 26, 30], "A": 2, "basic": 2, "work": 2, "without": 2, "standard": 2, "error": [2, 25], "estim": 2, "visual": 2, "map": 2, "chi": 2, "an": [2, 11], "advanc": [2, 3], "evalu": 2, "function": [2, 3, 15, 17, 26, 30, 31], "mathemat": 3, "constraint": [3, 13, 16], "overview": 3, "support": 3, "oper": 3, "constant": 3, "inequ": [3, 16], "usag": 3, "express": 3, "lmfit": [3, 18, 22, 25], "content": 4, "interfac": [5, 23], "global": 6, "minim": [6, 26, 27], "brute": 6, "k": 6, "grid": 6, "search": 6, "complex": [7, 25], "reson": 7, "outlier": 9, "detect": 9, "via": 9, "leav": 9, "one": 9, "out": 9, "differential_evolut": 10, "algorithm": 10, "set": [12, 25], "algebra": 13, "specifi": [15, 17, 30], "comput": [15, 24], "jacobian": 15, "differ": [17, 26], "reduc": 17, "build": 18, "sympi": 18, "off": 19, "axi": 19, "panda": 20, "datafram": 20, "galleri": 21, "select": 22, "emce": [22, 23, 26], "time": 24, "frequent": 25, "ask": 25, "question": 25, "what": 25, "": 25, "best": 25, "wai": 25, "help": [25, 32], "submit": 25, "bug": 25, "report": [25, 26], "why": 25, "did": 25, "my": 25, "script": 25, "break": 25, "when": 25, "upgrad": 25, "from": 25, "0": [25, 33], "8": 25, "9": [25, 33], "i": 25, "get": [25, 26, 29, 32], "import": 25, "ipython": 25, "how": 25, "can": 25, "multi": 25, "should": 25, "cite": 25, "nan": 25, "do": 25, "nan_polici": 25, "common": 25, "sourc": 25, "ar": 25, "paramet": [25, 26, 30, 31], "valu": [25, 30], "sometim": 25, "stuck": 25, "initi": [25, 30], "uncertainti": [25, 26, 30], "determin": [25, 30], "arrai": 25, "indic": 25, "discret": 25, "perform": 26, "analyz": 26, "output": 26, "The": [26, 30, 31], "write": 26, "choos": 26, "minimizerresult": 26, "optim": 26, "result": 26, "good": 26, "statist": 26, "akaik": 26, "bayesian": 26, "inform": 26, "criteria": 26, "variabl": [26, 30], "correl": 26, "print": 26, "iter": 26, "callback": 26, "class": [26, 30, 31], "posterior": 26, "probabl": 26, "distribut": [26, 28], "non": [27, 29], "least": [27, 29], "squar": [27, 29], "curv": [27, 30], "python": 27, "download": 28, "instal": 28, "prerequisit": 28, "develop": 28, "version": [28, 33], "test": 28, "acknowledg": 28, "copyright": 28, "licens": 28, "re": 28, "start": 29, "motiv": 30, "simpl": [30, 31], "attribut": 30, "name": 30, "independ": 30, "explicitli": 30, "independent_var": 30, "keyword": 30, "argument": 30, "definit": 30, "make_param": 30, "creat": 30, "object": 30, "directli": 30, "hint": 30, "type": 30, "save": 30, "load": 30, "modelresult": 30, "ad": 30, "multipli": 30, "create_param": 31, "releas": 33, "note": 33, "mai": 33, "02": 33, "2023": 33, "april": 33, "05": 33, "novemb": 33, "27": 33, "2022": 33, "octob": 33, "14": 33, "2021": 33, "februari": 33, "7": 33, "15": 33, "13": 33, "12": 33, "10": 33, "6": 33, "5": 33, "summari": 33, "impact": 33, "discuss": 33}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 8, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "sphinx.ext.todo": 2, "sphinx": 57}, "alltitles": {"Bounds Implementation": [[0, "bounds-implementation"]], "Built-in Fitting Models in the models module": [[1, "module-lmfit.models"]], "Peak-like models": [[1, "peak-like-models"]], "GaussianModel": [[1, "gaussianmodel"]], "LorentzianModel": [[1, "lorentzianmodel"]], "SplitLorentzianModel": [[1, "splitlorentzianmodel"]], "VoigtModel": [[1, "voigtmodel"]], "PseudoVoigtModel": [[1, "pseudovoigtmodel"]], "MoffatModel": [[1, "moffatmodel"]], "Pearson4Model": [[1, "pearson4model"]], "Pearson7Model": [[1, "pearson7model"]], "StudentsTModel": [[1, "studentstmodel"]], "BreitWignerModel": [[1, "breitwignermodel"]], "LognormalModel": [[1, "lognormalmodel"]], "DampedOscillatorModel": [[1, "dampedoscillatormodel"]], "DampedHarmonicOscillatorModel": [[1, "dampedharmonicoscillatormodel"]], "ExponentialGaussianModel": [[1, "exponentialgaussianmodel"]], "SkewedGaussianModel": [[1, "skewedgaussianmodel"]], "SkewedVoigtModel": [[1, "skewedvoigtmodel"]], "ThermalDistributionModel": [[1, "thermaldistributionmodel"]], "DoniachModel": [[1, "doniachmodel"]], "Linear and Polynomial Models": [[1, "linear-and-polynomial-models"]], "ConstantModel": [[1, "constantmodel"]], "LinearModel": [[1, "linearmodel"]], "QuadraticModel": [[1, "quadraticmodel"]], "PolynomialModel": [[1, "polynomialmodel"]], "SplinelModel": [[1, "splinelmodel"]], "Periodic Models": [[1, "periodic-models"]], "SineModel": [[1, "sinemodel"]], "Step-like models": [[1, "step-like-models"]], "StepModel": [[1, "stepmodel"]], "RectangleModel": [[1, "rectanglemodel"]], "Exponential and Power law models": [[1, "exponential-and-power-law-models"]], "ExponentialModel": [[1, "exponentialmodel"]], "PowerLawModel": [[1, "powerlawmodel"]], "Two dimensional Peak-like models": [[1, "two-dimensional-peak-like-models"]], "Gaussian2dModel": [[1, "gaussian2dmodel"]], "User-defined Models": [[1, "user-defined-models"]], "ExpressionModel": [[1, "expressionmodel"]], "Example 1: Fit Peak data to Gaussian, Lorentzian, and Voigt profiles": [[1, "example-1-fit-peak-data-to-gaussian-lorentzian-and-voigt-profiles"]], "Example 2: Fit data to a Composite Model with pre-defined models": [[1, "example-2-fit-data-to-a-composite-model-with-pre-defined-models"]], "Example 3: Fitting Multiple Peaks \u2013 and using Prefixes": [[1, "example-3-fitting-multiple-peaks-and-using-prefixes"]], "Example 4: Using a Spline Model": [[1, "example-4-using-a-spline-model"]], "Calculation of confidence intervals": [[2, "module-lmfit.confidence"]], "Method used for calculating confidence intervals": [[2, "method-used-for-calculating-confidence-intervals"]], "A basic example": [[2, "a-basic-example"]], "Working without standard error estimates": [[2, "working-without-standard-error-estimates"]], "Calculating and visualizing maps of \\chi^2": [[2, "calculating-and-visualizing-maps-of-chi-2"]], "An advanced example for evaluating confidence intervals": [[2, "an-advanced-example-for-evaluating-confidence-intervals"]], "Confidence Interval Functions": [[2, "confidence-interval-functions"]], "Using Mathematical Constraints": [[3, "using-mathematical-constraints"]], "Overview": [[3, "overview"]], "Supported Operators, Functions, and Constants": [[3, "supported-operators-functions-and-constants"]], "Using Inequality Constraints": [[3, "using-inequality-constraints"]], "Advanced usage of Expressions in lmfit": [[3, "advanced-usage-of-expressions-in-lmfit"]], "Contents": [[4, "contents"]], "Fit using the Model interface": [[5, "fit-using-the-model-interface"]], "Global minimization using the brute method (a.k.a. grid search)": [[6, "global-minimization-using-the-brute-method-a-k-a-grid-search"]], "Complex Resonator Model": [[7, "complex-resonator-model"]], "Calculate Confidence Intervals": [[8, "calculate-confidence-intervals"]], "Outlier detection via leave-one-out": [[9, "outlier-detection-via-leave-one-out"]], "Fit Using differential_evolution Algorithm": [[10, "fit-using-differential-evolution-algorithm"]], "Using an ExpressionModel": [[11, "using-an-expressionmodel"]], "Fit Multiple Data Sets": [[12, "fit-multiple-data-sets"]], "Fit with Algebraic Constraint": [[13, "fit-with-algebraic-constraint"]], "Fit Using Bounds": [[14, "fit-using-bounds"]], "Fit Specifying a Function to Compute the Jacobian": [[15, "fit-specifying-a-function-to-compute-the-jacobian"]], "Fit Using Inequality Constraint": [[16, "fit-using-inequality-constraint"]], "Fit Specifying Different Reduce Function": [[17, "fit-specifying-different-reduce-function"]], "Building a lmfit model with SymPy": [[18, "building-a-lmfit-model-with-sympy"]], "Fit Two Dimensional Peaks": [[19, "fit-two-dimensional-peaks"]], "Two-dimensional Gaussian": [[19, "two-dimensional-gaussian"]], "Two-dimensional off-axis Lorentzian": [[19, "two-dimensional-off-axis-lorentzian"]], "Fit with Data in a pandas DataFrame": [[20, "fit-with-data-in-a-pandas-dataframe"]], "Examples gallery": [[21, "examples-gallery"]], "Model Selection using lmfit and emcee": [[22, "model-selection-using-lmfit-and-emcee"]], "Emcee and the Model Interface": [[23, "emcee-and-the-model-interface"]], "Computation times": [[24, "computation-times"]], "Frequently Asked Questions": [[25, "frequently-asked-questions"]], "What\u2019s the best way to ask for help or submit a bug report?": [[25, "what-s-the-best-way-to-ask-for-help-or-submit-a-bug-report"]], "Why did my script break when upgrading from lmfit 0.8.3 to 0.9.0?": [[25, "why-did-my-script-break-when-upgrading-from-lmfit-0-8-3-to-0-9-0"]], "I get import errors from IPython": [[25, "i-get-import-errors-from-ipython"]], "How can I fit multi-dimensional data?": [[25, "how-can-i-fit-multi-dimensional-data"]], "How can I fit multiple data sets?": [[25, "how-can-i-fit-multiple-data-sets"]], "How can I fit complex data?": [[25, "how-can-i-fit-complex-data"]], "How should I cite LMFIT?": [[25, "how-should-i-cite-lmfit"]], "I get errors from NaN in my fit. What can I do?": [[25, "i-get-errors-from-nan-in-my-fit-what-can-i-do"]], "nan_policy": [[25, "nan-policy"]], "Common sources of NaN": [[25, "common-sources-of-nan"]], "Why are Parameter values sometimes stuck at initial values?": [[25, "why-are-parameter-values-sometimes-stuck-at-initial-values"]], "Why are uncertainties in Parameters sometimes not determined?": [[25, "why-are-uncertainties-in-parameters-sometimes-not-determined"]], "Can Parameters be used for Array Indices or Discrete Values?": [[25, "can-parameters-be-used-for-array-indices-or-discrete-values"]], "Performing Fits and Analyzing Outputs": [[26, "performing-fits-and-analyzing-outputs"]], "The minimize() function": [[26, "the-minimize-function"]], "Writing a Fitting Function": [[26, "writing-a-fitting-function"]], "Choosing Different Fitting Methods": [[26, "choosing-different-fitting-methods"]], "MinimizerResult \u2013 the optimization result": [[26, "minimizerresult-the-optimization-result"]], "Goodness-of-Fit Statistics": [[26, "goodness-of-fit-statistics"]], "Akaike and Bayesian Information Criteria": [[26, "akaike-and-bayesian-information-criteria"]], "Uncertainties in Variable Parameters, and their Correlations": [[26, "uncertainties-in-variable-parameters-and-their-correlations"]], "Getting and Printing Fit Reports": [[26, "getting-and-printing-fit-reports"]], "Using a Iteration Callback Function": [[26, "using-a-iteration-callback-function"]], "Using the Minimizer class": [[26, "using-the-minimizer-class"]], "Minimizer.emcee() - calculating the posterior probability distribution of parameters": [[26, "minimizer-emcee-calculating-the-posterior-probability-distribution-of-parameters"]], "Non-Linear Least-Squares Minimization and Curve-Fitting for Python": [[27, "non-linear-least-squares-minimization-and-curve-fitting-for-python"]], "Downloading and Installation": [[28, "downloading-and-installation"]], "Prerequisites": [[28, "prerequisites"]], "Downloads": [[28, "downloads"]], "Installation": [[28, "installation"]], "Development Version": [[28, "development-version"]], "Testing": [[28, "testing"]], "Acknowledgements": [[28, "acknowledgements"]], "Copyright, Licensing, and Re-distribution": [[28, "copyright-licensing-and-re-distribution"]], "Getting started with Non-Linear Least-Squares Fitting": [[29, "getting-started-with-non-linear-least-squares-fitting"]], "Modeling Data and Curve Fitting": [[30, "module-lmfit.model"]], "Motivation and simple example: Fit data to Gaussian profile": [[30, "motivation-and-simple-example-fit-data-to-gaussian-profile"]], "The Model class": [[30, "the-model-class"]], "Model class Methods": [[30, "model-class-methods"]], "Model class Attributes": [[30, "model-class-attributes"]], "Determining parameter names and independent variables for a function": [[30, "determining-parameter-names-and-independent-variables-for-a-function"]], "Explicitly specifying independent_vars": [[30, "explicitly-specifying-independent-vars"]], "Functions with keyword arguments": [[30, "functions-with-keyword-arguments"]], "Defining a prefix for the Parameters": [[30, "defining-a-prefix-for-the-parameters"]], "Initializing model parameter values": [[30, "initializing-model-parameter-values"]], "Initializing values in the function definition": [[30, "initializing-values-in-the-function-definition"]], "Initializing values with Model.make_params()": [[30, "initializing-values-with-model-make-params"]], "Creating a Parameters object directly": [[30, "creating-a-parameters-object-directly"]], "Initializing parameter values for a model with keyword arguments": [[30, "initializing-parameter-values-for-a-model-with-keyword-arguments"]], "Using parameter hints": [[30, "using-parameter-hints"]], "Data Types for data  and independent data with Model": [[30, "data-types-for-data-and-independent-data-with-model"]], "Saving and Loading Models": [[30, "saving-and-loading-models"]], "The ModelResult class": [[30, "the-modelresult-class"]], "ModelResult methods": [[30, "modelresult-methods"]], "ModelResult attributes": [[30, "modelresult-attributes"]], "Calculating uncertainties in the model function": [[30, "calculating-uncertainties-in-the-model-function"]], "Saving and Loading ModelResults": [[30, "saving-and-loading-modelresults"]], "Composite Models : adding (or multiplying) Models": [[30, "composite-models-adding-or-multiplying-models"]], "Parameter and Parameters": [[31, "parameter-and-parameters"]], "The Parameter class": [[31, "the-parameter-class"]], "The Parameters class": [[31, "the-parameters-class"]], "The create_params() function": [[31, "the-create-params-function"]], "Simple Example": [[31, "simple-example"]], "Getting Help": [[32, "getting-help"]], "Release Notes": [[33, "release-notes"]], "Version 1.2.1 Release Notes (May 02, 2023)": [[33, "version-1-2-1-release-notes-may-02-2023"]], "Version 1.2.0 Release Notes (April 05, 2023)": [[33, "version-1-2-0-release-notes-april-05-2023"]], "Version 1.1.0 Release Notes (November 27, 2022)": [[33, "version-1-1-0-release-notes-november-27-2022"]], "Version 1.0.3 Release Notes (October 14, 2021)": [[33, "version-1-0-3-release-notes-october-14-2021"]], "Version 1.0.2 Release Notes (February 7, 2021)": [[33, "version-1-0-2-release-notes-february-7-2021"]], "Version 1.0.1 Release Notes": [[33, "version-1-0-1-release-notes"]], "Version 1.0.0 Release Notes": [[33, "version-1-0-0-release-notes"]], "Version 0.9.15 Release Notes": [[33, "version-0-9-15-release-notes"]], "Version 0.9.14 Release Notes": [[33, "version-0-9-14-release-notes"]], "Version 0.9.13 Release Notes": [[33, "version-0-9-13-release-notes"]], "Version 0.9.12 Release Notes": [[33, "version-0-9-12-release-notes"]], "Version 0.9.10 Release Notes": [[33, "version-0-9-10-release-notes"]], "Version 0.9.9 Release Notes": [[33, "version-0-9-9-release-notes"]], "Version 0.9.6 Release Notes": [[33, "version-0-9-6-release-notes"]], "Version 0.9.5 Release Notes": [[33, "version-0-9-5-release-notes"]], "Version 0.9.4 Release Notes": [[33, "version-0-9-4-release-notes"]], "Version 0.9.3 Release Notes": [[33, "version-0-9-3-release-notes"]], "Version 0.9.0 Release Notes": [[33, "version-0-9-0-release-notes"]], "Summary": [[33, "summary"]], "Impact": [[33, "impact"]], "Discussion": [[33, "discussion"]]}, "indexentries": {"breitwignermodel (class in lmfit.models)": [[1, "lmfit.models.BreitWignerModel"]], "constantmodel (class in lmfit.models)": [[1, "lmfit.models.ConstantModel"]], "dampedharmonicoscillatormodel (class in lmfit.models)": [[1, "lmfit.models.DampedHarmonicOscillatorModel"]], "dampedoscillatormodel (class in lmfit.models)": [[1, "lmfit.models.DampedOscillatorModel"]], "doniachmodel (class in lmfit.models)": [[1, "lmfit.models.DoniachModel"]], "exponentialgaussianmodel (class in lmfit.models)": [[1, "lmfit.models.ExponentialGaussianModel"]], "exponentialmodel (class in lmfit.models)": [[1, "lmfit.models.ExponentialModel"]], "expressionmodel (class in lmfit.models)": [[1, "lmfit.models.ExpressionModel"]], "gaussian2dmodel (class in lmfit.models)": [[1, "lmfit.models.Gaussian2dModel"]], "gaussianmodel (class in lmfit.models)": [[1, "lmfit.models.GaussianModel"]], "linearmodel (class in lmfit.models)": [[1, "lmfit.models.LinearModel"]], "lognormalmodel (class in lmfit.models)": [[1, "lmfit.models.LognormalModel"]], "lorentzianmodel (class in lmfit.models)": [[1, "lmfit.models.LorentzianModel"]], "moffatmodel (class in lmfit.models)": [[1, "lmfit.models.MoffatModel"]], "pearson4model (class in lmfit.models)": [[1, "lmfit.models.Pearson4Model"]], "pearson7model (class in lmfit.models)": [[1, "lmfit.models.Pearson7Model"]], "polynomialmodel (class in lmfit.models)": [[1, "lmfit.models.PolynomialModel"]], "powerlawmodel (class in lmfit.models)": [[1, "lmfit.models.PowerLawModel"]], "pseudovoigtmodel (class in lmfit.models)": [[1, "lmfit.models.PseudoVoigtModel"]], "quadraticmodel (class in lmfit.models)": [[1, "lmfit.models.QuadraticModel"]], "rectanglemodel (class in lmfit.models)": [[1, "lmfit.models.RectangleModel"]], "sinemodel (class in lmfit.models)": [[1, "lmfit.models.SineModel"]], "skewedgaussianmodel (class in lmfit.models)": [[1, "lmfit.models.SkewedGaussianModel"]], "skewedvoigtmodel (class in lmfit.models)": [[1, "lmfit.models.SkewedVoigtModel"]], "splinemodel (class in lmfit.models)": [[1, "lmfit.models.SplineModel"]], "splitlorentzianmodel (class in lmfit.models)": [[1, "lmfit.models.SplitLorentzianModel"]], "stepmodel (class in lmfit.models)": [[1, "lmfit.models.StepModel"]], "studentstmodel (class in lmfit.models)": [[1, "lmfit.models.StudentsTModel"]], "thermaldistributionmodel (class in lmfit.models)": [[1, "lmfit.models.ThermalDistributionModel"]], "voigtmodel (class in lmfit.models)": [[1, "lmfit.models.VoigtModel"]], "lmfit.models": [[1, "module-lmfit.models"]], "module": [[1, "module-lmfit.models"], [2, "module-lmfit.confidence"], [26, "module-lmfit.minimizer"], [30, "module-lmfit.model"], [31, "module-lmfit.parameter"]], "ci_report() (in module lmfit)": [[2, "lmfit.ci_report"]], "conf_interval() (in module lmfit)": [[2, "lmfit.conf_interval"]], "conf_interval2d() (in module lmfit)": [[2, "lmfit.conf_interval2d"]], "lmfit.confidence": [[2, "module-lmfit.confidence"]], "minimizer (class in lmfit.minimizer)": [[26, "lmfit.minimizer.Minimizer"]], "minimizerresult (class in lmfit.minimizer)": [[26, "lmfit.minimizer.MinimizerResult"]], "aic (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.aic"]], "ampgo() (minimizer method)": [[26, "lmfit.minimizer.Minimizer.ampgo"]], "basinhopping() (minimizer method)": [[26, "lmfit.minimizer.Minimizer.basinhopping"]], "bic (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.bic"]], "brute() (minimizer method)": [[26, "lmfit.minimizer.Minimizer.brute"]], "call_kws (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.call_kws"]], "chisqr (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.chisqr"]], "covar (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.covar"]], "dual_annealing() (minimizer method)": [[26, "lmfit.minimizer.Minimizer.dual_annealing"]], "emcee() (minimizer method)": [[26, "lmfit.minimizer.Minimizer.emcee"]], "errorbars (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.errorbars"]], "fit_report() (in module lmfit.printfuncs)": [[26, "lmfit.printfuncs.fit_report"]], "flatchain (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.flatchain"]], "ier (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.ier"]], "init_vals (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.init_vals"]], "init_values (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.init_values"]], "least_squares() (minimizer method)": [[26, "lmfit.minimizer.Minimizer.least_squares"]], "leastsq() (minimizer method)": [[26, "lmfit.minimizer.Minimizer.leastsq"]], "lmdif_message (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.lmdif_message"]], "lmfit.minimizer": [[26, "module-lmfit.minimizer"]], "message (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.message"]], "minimize() (minimizer method)": [[26, "lmfit.minimizer.Minimizer.minimize"]], "minimize() (in module lmfit.minimizer)": [[26, "lmfit.minimizer.minimize"]], "ndata (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.ndata"]], "nfev (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.nfev"]], "nfree (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.nfree"]], "nvarys (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.nvarys"]], "params (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.params"]], "prepare_fit() (minimizer method)": [[26, "lmfit.minimizer.Minimizer.prepare_fit"]], "redchi (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.redchi"]], "residual (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.residual"]], "scalar_minimize() (minimizer method)": [[26, "lmfit.minimizer.Minimizer.scalar_minimize"]], "shgo() (minimizer method)": [[26, "lmfit.minimizer.Minimizer.shgo"]], "show_candidates() (minimizerresult method)": [[26, "lmfit.minimizer.MinimizerResult.show_candidates"]], "status (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.status"]], "success (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.success"]], "var_names (minimizerresult attribute)": [[26, "lmfit.minimizer.MinimizerResult.var_names"]], "composite models": [[30, "index-0"]], "compositemodel (class in lmfit.model)": [[30, "lmfit.model.CompositeModel"]], "model (class in lmfit.model)": [[30, "lmfit.model.Model"]], "modelresult (class in lmfit.model)": [[30, "lmfit.model.ModelResult"]], "aic (in module lmfit.model)": [[30, "lmfit.model.aic"]], "best_fit (in module lmfit.model)": [[30, "lmfit.model.best_fit"]], "best_values (in module lmfit.model)": [[30, "lmfit.model.best_values"]], "bic (in module lmfit.model)": [[30, "lmfit.model.bic"]], "call_kws (in module lmfit.model)": [[30, "lmfit.model.call_kws"]], "chisqr (in module lmfit.model)": [[30, "lmfit.model.chisqr"]], "ci_out (in module lmfit.model)": [[30, "lmfit.model.ci_out"]], "ci_report() (modelresult method)": [[30, "lmfit.model.ModelResult.ci_report"]], "conf_interval() (modelresult method)": [[30, "lmfit.model.ModelResult.conf_interval"]], "covar (in module lmfit.model)": [[30, "lmfit.model.covar"]], "data (in module lmfit.model)": [[30, "lmfit.model.data"]], "dely (in module lmfit.model)": [[30, "lmfit.model.dely"]], "dely_comps (in module lmfit.model)": [[30, "lmfit.model.dely_comps"]], "errorbars (in module lmfit.model)": [[30, "lmfit.model.errorbars"]], "eval() (model method)": [[30, "lmfit.model.Model.eval"]], "eval() (modelresult method)": [[30, "lmfit.model.ModelResult.eval"]], "eval_components() (modelresult method)": [[30, "lmfit.model.ModelResult.eval_components"]], "eval_uncertainty() (modelresult method)": [[30, "lmfit.model.ModelResult.eval_uncertainty"]], "fit() (model method)": [[30, "lmfit.model.Model.fit"]], "fit() (modelresult method)": [[30, "lmfit.model.ModelResult.fit"]], "fit_report() (modelresult method)": [[30, "lmfit.model.ModelResult.fit_report"]], "func (in module lmfit.model)": [[30, "lmfit.model.func"]], "guess() (model method)": [[30, "lmfit.model.Model.guess"]], "ier (in module lmfit.model)": [[30, "lmfit.model.ier"]], "independent_vars (in module lmfit.model)": [[30, "lmfit.model.independent_vars"]], "init_fit (in module lmfit.model)": [[30, "lmfit.model.init_fit"]], "init_params (in module lmfit.model)": [[30, "lmfit.model.init_params"]], "init_values (in module lmfit.model)": [[30, "lmfit.model.init_values"]], "iter_cb (in module lmfit.model)": [[30, "lmfit.model.iter_cb"]], "jacfcn (in module lmfit.model)": [[30, "lmfit.model.jacfcn"]], "lmdif_message (in module lmfit.model)": [[30, "lmfit.model.lmdif_message"]], "lmfit.model": [[30, "module-lmfit.model"]], "load_model() (in module lmfit.model)": [[30, "lmfit.model.load_model"]], "load_modelresult() (in module lmfit.model)": [[30, "lmfit.model.load_modelresult"]], "make_params() (model method)": [[30, "lmfit.model.Model.make_params"]], "message (in module lmfit.model)": [[30, "lmfit.model.message"]], "method (in module lmfit.model)": [[30, "lmfit.model.method"]], "model (in module lmfit.model)": [[30, "lmfit.model.model"]], "name (in module lmfit.model)": [[30, "lmfit.model.name"]], "nan_policy (in module lmfit.model)": [[30, "lmfit.model.nan_policy"]], "ndata (in module lmfit.model)": [[30, "lmfit.model.ndata"]], "nfev (in module lmfit.model)": [[30, "lmfit.model.nfev"]], "nfree (in module lmfit.model)": [[30, "lmfit.model.nfree"]], "nvarys (in module lmfit.model)": [[30, "lmfit.model.nvarys"]], "opts (in module lmfit.model)": [[30, "lmfit.model.opts"]], "param_hints (in module lmfit.model)": [[30, "lmfit.model.param_hints"]], "param_names (in module lmfit.model)": [[30, "lmfit.model.param_names"]], "params (in module lmfit.model)": [[30, "lmfit.model.params"]], "plot() (modelresult method)": [[30, "lmfit.model.ModelResult.plot"]], "plot_fit() (modelresult method)": [[30, "lmfit.model.ModelResult.plot_fit"]], "plot_residuals() (modelresult method)": [[30, "lmfit.model.ModelResult.plot_residuals"]], "prefix (in module lmfit.model)": [[30, "lmfit.model.prefix"]], "print_param_hints() (model method)": [[30, "lmfit.model.Model.print_param_hints"]], "redchi (in module lmfit.model)": [[30, "lmfit.model.redchi"]], "residual (in module lmfit.model)": [[30, "lmfit.model.residual"]], "rsquared (in module lmfit.model)": [[30, "lmfit.model.rsquared"]], "save_model() (in module lmfit.model)": [[30, "lmfit.model.save_model"]], "save_modelresult() (in module lmfit.model)": [[30, "lmfit.model.save_modelresult"]], "scale_covar (in module lmfit.model)": [[30, "lmfit.model.scale_covar"]], "set_param_hint() (model method)": [[30, "lmfit.model.Model.set_param_hint"]], "success (in module lmfit.model)": [[30, "lmfit.model.success"]], "summary() (modelresult method)": [[30, "lmfit.model.ModelResult.summary"]], "userargs (in module lmfit.model)": [[30, "lmfit.model.userargs"]], "userkws (in module lmfit.model)": [[30, "lmfit.model.userkws"]], "weights (in module lmfit.model)": [[30, "lmfit.model.weights"]], "parameter (class in lmfit.parameter)": [[31, "lmfit.parameter.Parameter"]], "parameters (class in lmfit.parameter)": [[31, "lmfit.parameter.Parameters"]], "removing a constraint expression": [[31, "index-0"]], "add() (parameters method)": [[31, "lmfit.parameter.Parameters.add"]], "add_many() (parameters method)": [[31, "lmfit.parameter.Parameters.add_many"]], "correl (parameter attribute)": [[31, "lmfit.parameter.Parameter.correl"]], "create_params() (in module lmfit.parameter)": [[31, "lmfit.parameter.create_params"]], "dump() (parameters method)": [[31, "lmfit.parameter.Parameters.dump"]], "dumps() (parameters method)": [[31, "lmfit.parameter.Parameters.dumps"]], "eval() (parameters method)": [[31, "lmfit.parameter.Parameters.eval"]], "lmfit.parameter": [[31, "module-lmfit.parameter"]], "load() (parameters method)": [[31, "lmfit.parameter.Parameters.load"]], "loads() (parameters method)": [[31, "lmfit.parameter.Parameters.loads"]], "pretty_print() (parameters method)": [[31, "lmfit.parameter.Parameters.pretty_print"]], "set() (parameter method)": [[31, "lmfit.parameter.Parameter.set"]], "stderr (parameter attribute)": [[31, "lmfit.parameter.Parameter.stderr"]], "valuesdict() (parameters method)": [[31, "lmfit.parameter.Parameters.valuesdict"]]}})